Index: trunk/template/yoga/default-layout.css
===================================================================
--- trunk/template/yoga/default-layout.css	(revision 2787)
+++ trunk/template/yoga/default-layout.css	(revision 2795)
@@ -81,5 +81,5 @@
 SELECT.categoryList {
 	height: 20em;
-	width: auto;
+	width: 500px;
 }
 
Index: trunk/template/yoga/theme/Sylvia/theme.css
===================================================================
--- trunk/template/yoga/theme/Sylvia/theme.css	(revision 2787)
+++ trunk/template/yoga/theme/Sylvia/theme.css	(revision 2795)
@@ -1,103 +1,341 @@
 /* $Id$ */
-.content div.thumbnailCategory div.illustration { width:165px !important; /* Usable range 162px-360px , optimal : Thumbnail width + 40px */ }
-.content div.thumbnailCategory { height: 180px !important; /* Usable range 172px-250px , optimal : Thumbnail height + 30px */ }
-.content div.thumbnailCategory div.description .text { height: 130px !important; /* -42px than previous one */ }
-#comments div.thumbnailCategory div.illustration { width:220px !important; /* Usable range 219px-360px , optimal : Thumbnail width + 95px */ }
+.content div.thumbnailCategory div.illustration { 
+	width:165px !important; /* Usable range 162px-360px , optimal : Thumbnail width + 40px */ 
+}
+.content div.thumbnailCategory { 
+	height: 180px !important; /* Usable range 172px-250px , optimal : Thumbnail height + 30px */ 
+}
+.content div.thumbnailCategory div.description .text { 
+	height: 130px !important; /* -42px than previous one */ 
+}
+#comments div.thumbnailCategory div.illustration { 
+	width:220px !important; /* Usable range 219px-360px , optimal : Thumbnail width + 95px */ 
+}
 
 /*  Sylvia Theme is close to the Roma Admin theme */
-BODY, H1, H3, DT, INPUT.rateButtonSelected { color:#666; }
-H2, #menubar DT { color: #666; }
-#imageHeaderBar, #imageToolBar A:hover { background-color: transparent; }
-BODY { background:#111 url(images/bottom-left-bg.jpg) no-repeat fixed left bottom;
-margin:0; min-height: 100%; height: 100%; padding:0; }
-#the_page { background:transparent url(images/top-left-bg.jpg) no-repeat scroll left top;
-left:0; margin:0; padding:0; position:absolute; top:0; z-index:0; width: 100%; min-width: 100%; }
-#mbIdentification p, .totalImages { color: #333; }
-.header_msgs { background:transparent url(images/header_msgs-bg.gif) repeat scroll right top;
-border:0; color:#333; font-size:24px; left:0; margin:0; padding:10px 0 6px 0; position:absolute;
-text-align:center; top:0; width:100%; z-index:99; }
-.header_notes { border:0; color:#333; margin:0; padding:12px 44px 0 0; position:absolute;
-right:9px; top:48px; z-index:99; background-position: right top; }
-#menubar DL { background:transparent url(images/menuBox_top.gif) no-repeat scroll left top;
-margin:0 0 5px 40px; padding:0; width: 231px; min-width: 231px; border: 0; min-height: 32px; overflow-x: hidden;}
-#imageHeaderBar H2 { border: 0; }
-#menubar DT { background-color:#111; border:0; display:inline; margin-left:8px; text-align:left; }
-#menubar DD { background:transparent url(images/menuBox_bottom.gif) no-repeat scroll left bottom;
-margin:14px 0 0 0; padding:0 0 22px; width: 231px; min-width: 231px; border: 0; overflow-x: hidden;}
-#menubar UL, #menubar #mbCategories p, 
-#menubar .illustration  { background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom;
-margin:0; }
-#menubar DT A { font-size: 100%; }
-#menubar UL { color: #333; font-size: 16px; line-height: 15px; }
-#menubar LI { padding-left: 12px; }
-#menubar A, .menuInfoCat { font-size: 13px; }
-#menubar form { background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom; margin:0; }
-#menubar DL#mbIdentification { background:transparent url(images/menuId_top.gif) no-repeat scroll left top !important;}
-#menubar #mbIdentification DD { background:transparent url(images/menuId_bottom.gif) no-repeat scroll left bottom; }
-#menubar #mbIdentification UL, #menubar #mbIdentification p, 
-#menubar #mbIdentification .illustration  { background:transparent url(images/menuId_sides.gif) repeat-y scroll left bottom; }
-#menubar #mbIdentification form { background:transparent url(images/menuId_sides.gif) repeat-y scroll left bottom; }
-#menubar #mbIdentification  .actions, #menubar li ul, #menubar #mbIdentification form  p { background:transparent none repeat-y scroll left bottom; }
-#menubar #mbIdentification p { padding: 2px 16px 0; margin: 0;}
-#menubar p { padding: 16px 16px 0; }
-#menubar .button { position:relative; right:9px; top:16px; height:16px; }
-#menubar #mbIdentification .button { height:24px; right:0px; top:-40px; }
-#menubar #mbIdentification fieldset { border:0; margin:0 24px 0 23px; }
-#menubar #mbIdentification legend { display: none; }
-#menubar #menuTagCloud { margin: 0; padding: 0 8px 0 16px; }
-#content { background:#222 url(images/fillet.gif) repeat-x scroll left top; min-height:466px; }
-.content { border: 1px solid #000; border-top: 0; margin:21px 7px 0 290px; padding-top:7px; }
-.content h2 { margin:0; padding:0px 10px 15px 15px; border:0;}
-#menubar form { background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom; margin:0; }
+BODY, H1, H3, DT, INPUT.rateButtonSelected, H2, #menubar DT { 
+	color:#666; 
+}
+#imageHeaderBar, #imageToolBar A:hover { 
+	background-color: transparent; 
+}
+BODY { 
+	background:#111 url(images/bottom-left-bg.jpg) no-repeat fixed left bottom;
+	margin:0; 
+	min-height: 100%; 
+	height: 100%; 
+	padding:0; 
+}
+#the_page { 
+	background:transparent url(images/top-left-bg.jpg) no-repeat scroll left top;
+	left:0; 
+	margin:0; 
+	padding:0; 
+	position:absolute; 
+	top:0; 
+	z-index:0; 
+	width: 100%; 
+	min-width: 100%; 
+}
+#mbIdentification p, .totalImages { 
+	color: #333; 
+}
+.header_msgs { 
+	background:transparent url(images/header_msgs-bg.gif) repeat scroll right top;
+	border:0; 
+	color:#333; 
+	font-size:24px; 
+	left:0; 
+	margin:0; 
+	padding:10px 0 6px 0; 
+	position:absolute;
+	text-align:center; 
+	top:0; 
+	width:100%; 
+	z-index:99; 
+}
+.header_notes { 
+	border:0; 
+	color:#333; 
+	margin:0; 
+	padding:12px 44px 0 0; 
+	position:absolute;
+	right:9px; 
+	top:48px; 
+	z-index:99; 
+	background-position: right top; 
+}
+#menubar DL { 
+	background:transparent url(images/menuBox_top.gif) no-repeat scroll left top;
+	margin:0 0 5px 40px; 
+	padding:0; 
+	width: 231px; 
+	min-width: 231px; 
+	border: 0; 
+	min-height: 32px; 
+	overflow-x: hidden;
+}
+#imageHeaderBar H2 { 
+	border: 0; 
+}
+#menubar DT { 
+	background-color:#111; 
+	border:0; 
+	display:inline; 
+	margin-left:8px; 
+	text-align:left; 
+}
+#menubar DD { 
+	background:transparent url(images/menuBox_bottom.gif) no-repeat scroll left bottom;
+	margin:14px 0 0 0; 
+	padding:0 0 22px; 
+	width: 231px; 
+	min-width: 231px; 
+	border: 0; 
+	overflow-x: hidden;
+}
+#menubar UL, #menubar #mbCategories p, #menubar .illustration  { 
+	background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom;
+	margin:0; 
+}
+#menubar DT A { 
+	font-size: 100%; 
+}
+#menubar UL { 
+	color: #333; 
+	font-size: 16px; 
+	line-height: 15px; 
+}
+#menubar LI { 
+	padding-left: 12px; 
+}
+#menubar A, .menuInfoCat { 
+	font-size: 13px; 
+}
+#menubar form { 
+	background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom; 
+	margin:0; 
+}
+#menubar DL#mbIdentification { 
+	background:transparent url(images/menuId_top.gif) no-repeat scroll left top !important;
+}
+#menubar #mbIdentification DD { 
+	background:transparent url(images/menuId_bottom.gif) no-repeat scroll left bottom; 
+}
+#menubar #mbIdentification UL, #menubar #mbIdentification p, #menubar #mbIdentification .illustration  { 
+	background:transparent url(images/menuId_sides.gif) repeat-y scroll left bottom; 
+}
+#menubar #mbIdentification form { 
+	background:transparent url(images/menuId_sides.gif) repeat-y scroll left bottom; 
+}
+#menubar #mbIdentification  .actions, #menubar li ul, #menubar #mbIdentification form  p { 
+	background:transparent none repeat-y scroll left bottom; 
+}
+#menubar #mbIdentification p { 
+	padding: 2px 16px 0; 
+	margin: 0;
+}
+#menubar p { 
+	padding: 16px 16px 0; 
+}
+#menubar .button { 
+	position:relative; 
+	right:9px; 
+	top:16px; 
+	height:16px; 
+}
+#menubar #mbIdentification .button { 
+	height:24px; 
+	right:0px; 
+	top:-40px; 
+}
+#menubar #mbIdentification fieldset { 
+	border:0; 
+	margin:0 24px 0 23px; 
+}
+#menubar #mbIdentification legend { 
+	display: none; 
+}
+#menubar #menuTagCloud { 
+	margin: 0; 
+	padding: 0 8px 0 16px; 
+}
+
+#content { 
+	background:#222 url(images/fillet.gif) repeat-x scroll left top; 
+	min-height:466px; 
+}
+
+.content { 
+	border: 1px solid #000; 
+	border-top: 0; 
+	margin:21px 7px 0 290px; 
+	padding-top:7px; 
+}
+.content h2 { 
+	margin:0; 
+	padding:0px 10px 15px 15px; 
+	border:0;
+}
+#menubar form { 
+	background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom; 
+	margin:0; 
+}
 #content ul.thumbnailCategories li {
-background:#222 url(images/cat_bottom-right.gif) no-repeat scroll right bottom; width:49%; margin: 0; padding:0; }
-.content div.thumbnailCategory { background:transparent url(images/cat_bottom-left.gif) no-repeat scroll left bottom; 
-padding: 0; margin:0; }
-#content .thumbnailCategory div.illustration { background:transparent url(images/cat_top-left.gif) no-repeat scroll left top; 
-padding: 0 0 0 10px; margin: 0; }
-.content .thumbnailCategory div.illustration a { display: block; margin: 0; padding:20px 0 0 8px; }
-#content .thumbnailCategory div.description { background:transparent url(images/cat_top-right.gif) no-repeat scroll right top;
-margin: 0; padding:15px 10px 3px 0; overflow: hidden; }
-#content .thumbnailCategory div.description .text { display:block; margin:10px 2px 0 0;
-overflow: auto; overflow-x:hidden; padding:0 0 5px; }
-.content div.thumbnailCategory div.description p.dates { margin: 0 15px 0 15px; text-align: right; }
-#content.content .thumbnailCategory div.description H3 { display: block; margin: 0; }
-#content ul.thumbnailCategories li:hover { background-color:#111; } 
-.infos { color: #f70; border:0; background-color: transparent; margin-left:125px;
-padding:5px 0px 0pt 10pt; min-height: 48px; text-align:left; }
-.infos li, .errors li { list-style-type:none; }
-.errors { color: #f30; border:0; background-color: transparent; margin-left:125px;
-padding:5px 0px 0pt 10pt; min-height: 48px; text-align:left; font-weight:bold; }
-#menubar #menuTagCloud { background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom;
-margin:0; padding: 0 12px; }
-H2 { border-bottom: 1px solid #000000; }
-#qsearchInput { border-color: #222; color: #222;}
-FIELDSET, INPUT, SELECT, TEXTAREA { border: 1px solid #666; }
+	background:#222 url(images/cat_bottom-right.gif) no-repeat scroll right bottom; 
+	width:49%; 
+	margin: 0; 
+	padding:0; 
+}
+.content div.thumbnailCategory { 
+	background:transparent url(images/cat_bottom-left.gif) no-repeat scroll left bottom; 
+	padding: 0; 
+	margin:0; 
+}
+#content .thumbnailCategory div.illustration { 
+	background:transparent url(images/cat_top-left.gif) no-repeat scroll left top; 
+	padding: 0 0 0 10px; 
+	margin: 0; 
+}
+.content .thumbnailCategory div.illustration a { 
+	display: block; 
+	margin: 0; 
+	padding:20px 0 0 8px; 
+}
+#content .thumbnailCategory div.description { 
+	background:transparent url(images/cat_top-right.gif) no-repeat scroll right top;
+	margin: 0; 
+	padding:15px 10px 3px 0; 
+	overflow: hidden; 
+}
+#content .thumbnailCategory div.description .text { 
+	display:block; 
+	margin:10px 2px 0 0;
+	overflow: auto; 
+	overflow-x:hidden; 
+	padding:0 0 5px; 
+}
+.content div.thumbnailCategory div.description p.dates { 
+	margin: 0 15px 0 15px; 
+	text-align: right; 
+}
+#content.content .thumbnailCategory div.description H3 { 
+	display: block; 
+	margin: 0; 
+}
+#content ul.thumbnailCategories li:hover { 
+	background-color:#111; 
+} 
+.infos { 
+	color: #f70; 
+	border:0; 
+	background-color: transparent; 
+	margin-left:125px;
+	padding:5px 0px 0pt 10pt; 
+	min-height: 48px; 
+	text-align:left; 
+}
+.infos li, .errors li { 
+	list-style-type:none; 
+}
+.errors { 
+	color: #f30; 
+	border:0; 
+	background-color: transparent; 
+	margin-left:125px;
+	padding:5px 0px 0pt 10pt; 
+	min-height: 48px; 
+	text-align:left; 
+	font-weight:bold; 
+}
+#menubar #menuTagCloud { 
+	background:transparent url(images/menuBox_sides.gif) repeat-y scroll left bottom;
+	margin:0; 
+	padding: 0 12px; 
+}
+H2 { 
+	border-bottom: 1px solid #000000; 
+}
+#qsearchInput { 
+	border-color: #222; 
+	color: #222;
+}
+FIELDSET, INPUT, SELECT, TEXTAREA { 
+	border: 1px solid #666; 
+}
 input[type="text"], input[type="password"], input[type="button"], input[type="submit"], input[type="reset"], input[type="file"] {
-background-color:#444; color:#999; } /* stupid Line but needed  due to inpact on other themes and deadline of Piwigo 2.0 */
-INPUT, select, textarea { color:#999; background-color: #444; }
-input[type="radio"], input[type="checkbox"],
-input[type="button"].rateButtonStarEmpty, input[type="button"].rateButtonStarFull { background-color: transparent; }
-#qsearchInput:focus,
-input:focus, select:focus, textarea:focus, input.focus, form .focus { background-color:#444;color: #999; }
+	background-color:#444; 
+	color:#999; 
+} /* stupid Line but needed  due to inpact on other themes and deadline of Piwigo 2.0 */
+INPUT, select, textarea { 
+	color:#999; 
+	background-color: #444; 
+}
+input[type="radio"], input[type="checkbox"], input[type="button"].rateButtonStarEmpty, input[type="button"].rateButtonStarFull { 
+	background-color: transparent; 
+}
+#qsearchInput:focus, input:focus, select:focus, textarea:focus, input.focus, form .focus { 
+	background-color:#444;
+	color: #999; 
+}
 .content UL.thumbnails SPAN.wrap2 {
-border: 1px solid #666;	/* thumbnails border color and style */
-border-radius: 4px 4px;	/* round corners with CSS3 compliant browsers */ }
-.content UL.thumbnails SPAN.wrap2:hover { color: #666;
-background-color: #111; border:1px solid #ff3363;	/* thumbnails border color when mouse cursor is over it */ }
-#comments ul.actions li, #comments ul.actions li:hover { background:transparent none; padding: 0 22px; clear:both; list-style-type:none; }
-A, INPUT.rateButton { color:#f70; border-width: 0; }
-A:hover, A:active { color: #f33; border-bottom: 1px solid #f33; cursor: pointer; }
-#theImage A, .illustration A, A.navThumb, A.navThumb { border-bottom-width: 0; }
-#imageToolBar { padding:0 7%; }
-#imageHeaderBar .imageNumber { margin-right:7%; }
-#imageHeaderBar .browsePath { margin-left:7%; }
-*, *:focus, *:active, input:active, a:active, input:focus, a:focus { outline: none; }
-#debug { margin: 15px 15px 5px 248px; font-size:12px; clear: both; }
-.rateButtonStarFull { 	background-image: url('icon/rating-stars.gif'); }
-.rateButtonStarEmpty { background-image: url('icon/rating-stars.gif'); }
-#menubar #mbIdentification fieldset div input[type="text"] { margin: 0 0 3px; width: 174px; display: inline; }
+	border: 1px solid #666;	/* thumbnails border color and style */
+	border-radius: 4px 4px;	/* round corners with CSS3 compliant browsers */ 
+}
+.content UL.thumbnails SPAN.wrap2:hover { 
+	color: #666;
+	background-color: #111; 
+	border:1px solid #ff3363;	/* thumbnails border color when mouse cursor is over it */ 
+}
+#comments ul.actions li, #comments ul.actions li:hover { 
+	background:transparent none;
+ 	padding: 0 22px; 
+	clear:both; 
+	list-style-type:none; 
+}
+A, INPUT.rateButton { 
+	color:#f70; 
+	border-width: 0; 
+}
+A:hover, A:active { 
+	color: #f33; 
+	border-bottom: 1px solid #f33; 
+	cursor: pointer; 
+}
+#theImage A, .illustration A, A.navThumb, A.navThumb { 
+	border-bottom-width: 0; 
+}
+#imageToolBar { 
+	padding:0 7%; 
+}
+#imageHeaderBar .imageNumber { 
+	margin-right:7%; 
+}
+#imageHeaderBar .browsePath { 
+	margin-left:7%; 
+}
+*, *:focus, *:active, input:active, a:active, input:focus, a:focus { 
+	outline: none; 
+}
+#debug { 
+	margin: 15px 15px 5px 248px; 
+	font-size:12px; 
+	clear: both; 
+}
+.rateButtonStarFull, .rateButtonStarEmpty {   	
+	background-image: url('icon/rating-stars.gif'); 
+}
+#menubar #mbIdentification fieldset div input[type="text"] { 
+	margin: 0 0 3px; 
+	width: 174px; 
+	display: inline; 
+}
 input[type="button"], input[type="submit"], input[type="reset"] {
-color:#ff3363; background-color:#222; border-color: #ff3363; }
+	color:#ff3363; 
+	background-color:#222; 
+	border-color: #ff3363; 
+}
 input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover {
-color:#999; border-color: #666; }
+	color:#999; 
+	border-color: #666; 
+}