Index: trunk/plugins/admin_advices/admin_advices.php
===================================================================
--- trunk/plugins/admin_advices/admin_advices.php	(revision 2797)
+++ trunk/plugins/admin_advices/admin_advices.php	(revision 2801)
@@ -23,7 +23,5 @@
 
 add_event_handler('loc_end_page_header', 'set_admin_advice_add_css' );
-// pour faciliter le debug :o)
-ini_set('error_reporting', E_ALL);
-ini_set('display_errors', true);
+
 // Add a XHTML tag in HEAD section
 function set_admin_advice_add_css()
Index: trunk/plugins/admin_advices/language/de_DE/plugin.lang.php
===================================================================
--- trunk/plugins/admin_advices/language/de_DE/plugin.lang.php	(revision 2797)
+++ trunk/plugins/admin_advices/language/de_DE/plugin.lang.php	(revision 2801)
@@ -156,9 +156,7 @@
  'Sie können mit der Tastatur Pfeile zum Navigieren zwischen den Bildern.', );
 $lang['Adv_case'][34] = array( /* compiled_template_cache_language */
- 'Should be false, translation will be done at user request time.',
- 'If you are using one language (you kept only one subdirectory language)',
- 'or through a plugin you forced all user to have the same language,',
- 'you should consider to set it true.',
- 'Setting it true, template @translate are done at compilation time.' );
+ 'Should be true, translation will be done at compilation time.',
+ 'If you are modifying a language (translators), you should consider to set it false.',
+ 'Setting it false, template @translate function are called at usage time.' );
 $lang['Adv_case'][35] = array( /* template_compile_check */
  'Default is true, template changes are detected and the template is compiled.',
Index: trunk/plugins/admin_advices/language/en_UK/plugin.lang.php
===================================================================
--- trunk/plugins/admin_advices/language/en_UK/plugin.lang.php	(revision 2797)
+++ trunk/plugins/admin_advices/language/en_UK/plugin.lang.php	(revision 2801)
@@ -156,9 +156,7 @@
  'You can use keyboard arrows to navigate between pictures.', );
 $lang['Adv_case'][34] = array( /* compiled_template_cache_language */
- 'Should be false, translation will be done at user request time.',
- 'If you are using one language (you kept only one subdirectory language)',
- 'or through a plugin you forced all user to have the same language,',
- 'you should consider to set it true.',
- 'Setting it true, template @translate are done at compilation time.' );
+ 'Should be true, translation will be done at compilation time.',
+ 'If you are modifying a language (translators), you should consider to set it false.',
+ 'Setting it false, template @translate function are called at usage time.' );
 $lang['Adv_case'][35] = array( /* template_compile_check */
  'Default is true, template changes are detected and the template is compiled.',
Index: trunk/plugins/admin_advices/language/es_ES/plugin.lang.php
===================================================================
--- trunk/plugins/admin_advices/language/es_ES/plugin.lang.php	(revision 2797)
+++ trunk/plugins/admin_advices/language/es_ES/plugin.lang.php	(revision 2801)
@@ -156,9 +156,7 @@
  'You can use keyboard arrows to navigate between pictures.', );
 $lang['Adv_case'][34] = array( /* compiled_template_cache_language */
- 'Should be false, translation will be done at user request time.',
- 'If you are using one language (you kept only one subdirectory language)',
- 'or through a plugin you forced all user to have the same language,',
- 'you should consider to set it true.',
- 'Setting it true, template @translate are done at compilation time.' );
+ 'Should be true, translation will be done at compilation time.',
+ 'If you are modifying a language (translators), you should consider to set it false.',
+ 'Setting it false, template @translate function are called at usage time.' );
 $lang['Adv_case'][35] = array( /* template_compile_check */
  'Default is true, template changes are detected and the template is compiled.',
Index: trunk/plugins/admin_advices/language/fr_FR/plugin.lang.php
===================================================================
--- trunk/plugins/admin_advices/language/fr_FR/plugin.lang.php	(revision 2797)
+++ trunk/plugins/admin_advices/language/fr_FR/plugin.lang.php	(revision 2801)
@@ -158,9 +158,7 @@
  'Vous pouvez utiliser les flèches du clavier pour naviguer entre les images.', );
 $lang['Adv_case'][34] = array( /* compiled_template_cache_language */
- 'Devrait être à false, la traduction sera effectuée au moment de la demande de l\'utilisateur.',
- 'Si vous n\'utilisez qu\'une seule langue (vous n\'aurez conservé qu\'un sous-répertoire language)',
- 'ou via un plugin si vous forcez tous les utilisateurs a utiliser le même langage,',
- 'vous devriez envisager la valeur true.',
- 'Positionné à true, les @translate des templates seront réalisés au moment de la compilation.' );
+ 'Devrait être à true, la traduction sera effectuée au moment de la compilation.',
+ 'Si vous modifiez les fichiers langues (traducteurs), vous devriez envisager la valeur false.',
+ 'Positionné à false, les @translate des templates seront traités à chaque utilisation.' );
 $lang['Adv_case'][35] = array( /* template_compile_check */
  'Par défaut à true, toute modification de template est détectée et le template modifié est recompilé.',
Index: trunk/plugins/admin_advices/language/it_IT/plugin.lang.php
===================================================================
--- trunk/plugins/admin_advices/language/it_IT/plugin.lang.php	(revision 2797)
+++ trunk/plugins/admin_advices/language/it_IT/plugin.lang.php	(revision 2801)
@@ -158,9 +158,7 @@
  'Potrete usare le frecce della tastiera per navigare tra le foto.', );
 $lang['Adv_case'][34] = array( /* compiled_template_cache_language */
- 'Should be false, translation will be done at user request time.',
- 'If you are using one language (you kept only one subdirectory language)',
- 'or through a plugin you forced all user to have the same language,',
- 'you should consider to set it true.',
- 'Setting it true, template @translate are done at compilation time.' );
+ 'Should be true, translation will be done at compilation time.',
+ 'If you are modifying a language (translators), you should consider to set it false.',
+ 'Setting it false, template @translate function are called at usage time.' );
 $lang['Adv_case'][35] = array( /* template_compile_check */
  'Default is true, template changes are detected and the template is compiled.',