Index: extras/auto-install/trunk/language/de_DE/loader.lang.txt
===================================================================
--- extras/auto-install/trunk/language/de_DE/loader.lang.txt	(revision 2878)
+++ extras/auto-install/trunk/language/de_DE/loader.lang.txt	(revision 2879)
@@ -21,42 +21,41 @@
 // +-----------------------------------------------------------------------+
 
-/* TODO */
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
-$lang['Welcome to NetInstall!'] = 'Welcome to NetInstall!';
-$lang['Language'] = 'Language';
-$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.';
-$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Right after then, you will be redirect to the Piwigo Setup Wizard.';
+$lang['Welcome to NetInstall!'] = 'Willkommen in NetInstall!';
+$lang['Language'] = 'Sprache';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Dieses Werkzeug ist zum Abrufen der neuesten Piwigo Archiv und entpacken es in Ihrem Webspace.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Direkt nach, werden Sie eine Umleitung auf die Piwigo Setup-Assistenten.';
 
-$lang['Write access is needed'] = 'Write access is needed';
-$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.';
-$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.';
-$lang['Refresh'] = 'Refresh';
+$lang['Write access is needed'] = 'Schreib-Zugriff ist erforderlich';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Es sieht aus wie NetInstall wird nicht in der Lage zu schreiben in das aktuelle Verzeichnis, und dies ist erforderlich, um im Anschluss an.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Bitte versuchen Sie es um die Berechtigungen zu ermöglichen schreiben, dann rufen Sie diese Seite durch Drücken der Schaltfläche "Aktualisieren".';
+$lang['Refresh'] = 'Aktualisieren';
 
-$lang['PHP 5 is required'] = 'PHP 5 is required';
-$lang['It appears your webhost is currently running PHP %s.'] = 'It appears your webhost is currently running PHP %s.';
-$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.';
-$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Note you can change your configuration by yourself and restart NetInstall after that.';
-$lang['Try to configure PHP 5'] = 'Try to configure PHP 5';
+$lang['PHP 5 is required'] = 'PHP 5 ist erforderlich';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Es scheint Ihr Webhost ist derzeit laufenden PHP %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall wird versuchen um Ihre Konfiguration zu PHP 5 Schalten durch die Schaffung oder Änderung einer .Htaccess-Datei.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Hinweis: Sie können Ihre Konfiguration indem manuel Schalten und starten Sie wieder dass NetInstall.';
+$lang['Try to configure PHP 5'] = 'Versuch zu konfigurieren PHP 5';
 
-$lang['Retrieve and unzip Piwigo'] = 'Retrieve and unzip Piwigo';
-$lang['Destination:'] = 'Destination:';
+$lang['Retrieve and unzip Piwigo'] = 'Abrufen und entpacken Piwigo';
+$lang['Destination:'] = 'Reiseziel:';
 
-$lang['Sorry!'] = 'Sorry!';
-$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall was not able to configure PHP 5.';
-$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself.";
-$lang['Hope to see you back soon.'] = 'Hope to see you back soon.';
+$lang['Sorry!'] = 'Bekümmert!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall kan nicht PHP 5 zu konfigurieren.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Sie können sich beziehen auf Ihrem Hosting-Anbieter die Unterstützung und sehen wie Sie könnte Umstellung auf PHP 5 von Ihnen.";
+$lang['Hope to see you back soon.'] = 'Hoffen, Sie bald wieder zurück.';
 
-$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'It seems like a previous Piwigo installation is still sitting in that space.';
-$lang['You need to rename or remove it before we can go further...'] = 'You need to rename or remove it before we can go further...';
-$lang['Needed files are not present.'] = 'Needed files are not present.';
-$lang['Invalid zip file.'] = 'Invalid zip file.';
-$lang['It seems that the zip file was not extracted.'] = 'It seems that the zip file was not extracted.';
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Es scheint wie eine frühere Piwigo Installation ist noch Sitzung in diesem Raum.';
+$lang['You need to rename or remove it before we can go further...'] = 'Sie müssen umbenennen oder entfernen es bevor wir können noch weiter gehen ...';
+$lang['Needed files are not present.'] = 'Benötigten Dateien nicht vorhanden sind.';
+$lang['Invalid zip file.'] = 'Ungültige zip-Datei.';
+$lang['It seems that the zip file was not extracted.'] = 'Es scheint dass die Zip-Datei wurde nicht extrahiert.';
 
-$lang['Congratulations!'] = 'Congratulations!';
-$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Everything went fine. You are now ready to start the installation procedure.';
-$lang['Install Piwigo now'] = 'Install Piwigo now';
-$lang['An error occurred while grabbing the necessary files to go on.'] = 'An error occurred while grabbing the necessary files to go on.';
-$lang['Something went wrong...'] = 'Something went wrong ...';
-$lang['What are you doing here that way ?!'] = 'What are you doing here that way ?!';
+$lang['Congratulations!'] = 'Glückwünsche!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Alles ging gut. Sie sind bereit die Installation starten.';
+$lang['Install Piwigo now'] = 'Jetzt Piwigo installieren';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Ein Fehler ist aufgetreten beim Greifen die erforderlichen Dateien zu weiter gehen.';
+$lang['Something went wrong...'] = 'Etwas schief gelaufen ist ...';
+$lang['What are you doing here that way ?!'] = 'Was machst Du denn hier so ?!';
 
-$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!';
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Diese Loader wurde erstmal kodiert für <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Danke!';