Index: branches/2.0/language/it_IT/help/cat_modify.html
===================================================================
--- branches/2.0/language/it_IT/help/cat_modify.html	(revision 2872)
+++ branches/2.0/language/it_IT/help/cat_modify.html	(revision 2886)
@@ -46,5 +46,5 @@
 class="pwgScreen">Amministrazione, Categorie, Proprietà</span>).</p>
 
-<h3>Ordine d'apparizione</h3>
+<h3>Ordine di apparizione</h3>
 
 <p>Scegliere se il tipo di ordinamento predefinito sarà usato.</p>
@@ -81,5 +81,5 @@
   amministratori.</li>
 
-  <li><span class="pwgScreen">Modicare le informazioni di un'imagine</span> in
+  <li><span class="pwgScreen">Modicare le informazioni di un'immagine</span> in
   amministrazione. Questo schermo può essere raggiunto tramite <span
   class="pwgScreen">picture.php</span> o <span class="pwgScreen">Gestione per
@@ -135,5 +135,5 @@
 </ul>
 
-<h3>Inviare una email d'informazione ai membri del gruppo</h3>
+<h3>Inviare un'email d'informazione ai membri del gruppo</h3>
 
 <ul>
Index: branches/2.0/language/it_IT/help/configuration.html
===================================================================
--- branches/2.0/language/it_IT/help/configuration.html	(revision 2872)
+++ branches/2.0/language/it_IT/help/configuration.html	(revision 2886)
@@ -33,5 +33,5 @@
   <li><strong>Autorizzare l'iscrizione di nuovi utenti</strong>: Iscrizione libera per tutti.</li>
 
-  <li><strong>Notificare agli amministratori quando un immagine è caricata</strong>: Gli amministratori verranno avvisati della messa a disposizione di una nuova immagine.</li>
+  <li><strong>Notificare agli amministratori quando un'immagine è caricata</strong>: Gli amministratori verranno avvisati della messa a disposizione di una nuova immagine.</li>
 
 </ul>
@@ -69,8 +69,8 @@
 
   <li><strong>Notificare agli amministratori quando un commento è registrato</strong>:
-Invio di una email agli amministratori quando un utente registra un commento.</li>
+Invio di un'email agli amministratori quando un utente registra un commento.</li>
 
   <li><strong>Notificare agli amministratori quando un commento richiede la convalida</strong>:
-Invio di una email agli amministratori quando un utente registra un commento che necessita la convalida.
+Invio di un'email agli amministratori quando un utente registra un commento che necessita la convalida.
 La convalida dei commenti utente ha luogo nello schermo <span class="pwgScreen">Amministrazione, Immagine, Commenti</span>.</li>
 
@@ -97,5 +97,5 @@
   <li><strong>Numero di righe per pagina</strong></li>
 
-  <li><strong>Tema del'interfaccia</strong></li>
+  <li><strong>Tema dell'interfaccia</strong></li>
 
   <li><strong>Periodo recente</strong>: in giorni. Periodo durante il quale
Index: branches/2.0/language/it_IT/help/extend_for_templates.html
===================================================================
--- branches/2.0/language/it_IT/help/extend_for_templates.html	(revision 2872)
+++ branches/2.0/language/it_IT/help/extend_for_templates.html	(revision 2886)
@@ -7,14 +7,14 @@
 <p>I "templates originali" da ./template/yoga (o qualunque altra directory che yoga) sarà sostituito 
 da un rimpiazzante se quest'ultimo è collegato al "template originale" (e in modo facoltativo, 
-quando l'URL richiesta contiene un "parametro facoltativo del'URL").</p>
+quando l'URL richiesta contiene un "parametro facoltativo dell'URL").</p>
 
-<p>I "parametri facoltativi del'URL" sono quelli che potete trovare dopo il nome del modulo nel indirizzo (URL).</p>
+<p>I "parametri facoltativi dell'URL" sono quelli che potete trovare dopo il nome del modulo nel indirizzo (URL).</p>
 
-<p>Quindi un "parametro facoltativo del'URL" può essere un "permalink" attivo (per maggiore informazioni 
+<p>Quindi un "parametro facoltativo dell'URL" può essere un "permalink" attivo (per maggiore informazioni 
 vedere i permalinks della nostra documentazione).</p>
 
 <p>Leggere: `<a href="#warnings">Avvertimenti</a> sulle condizioni d'uso.</p>
 
-<h3>Che cosa sono le estensioni di template?</h3>
+<h3>Che cosa sono le estensioni dei template?</h3>
 
 <p>Quest'attrezzo di configurazione è potente per i principianti ma anche per gli esperti.
@@ -50,5 +50,5 @@
 
 <p><strong>I templates personalizzati</strong> possono essere salvati nella directory 
-template-extension (o sotto directory).
+template-extension (o sottodirectory).
 I "rimpiazzanti" possono avere qualunque nome con l'estenzione .tpl. Per esempio: <span
 class="filename">template-extension/my-extension/video.tpl</span>.</p>
@@ -86,6 +86,6 @@
   Come detto precedente, l'ordine può annullare i rimpiazzanti precedenti.</li>
 
-  <li>Le sotto directory:
-  Le sotto directory sono ignorate ma sono utili per cambiare l'ordine dei rimpiazzanti.<br />
+  <li>Le sottodirectory:
+  Le sottodirectory sono ignorate ma sono utili per cambiare l'ordine dei rimpiazzanti.<br />
 distributed-samples: sono distribuite per le vostre prove! 
 <strong>Non modificateli</strong>, create i vostri! 
Index: branches/2.0/language/it_IT/help/group_list.html
===================================================================
--- branches/2.0/language/it_IT/help/group_list.html	(revision 2872)
+++ branches/2.0/language/it_IT/help/group_list.html	(revision 2886)
@@ -12,5 +12,5 @@
 
 <ul>
-  <li>accedere all'elenco dei membri</li>
+  <li>accedere al elenco dei membri</li>
   <li>accedere ai permessi</li>
   <li>cancellare il gruppo (necessita una conferma)</li>
Index: branches/2.0/language/it_IT/help/history.html
===================================================================
--- branches/2.0/language/it_IT/help/history.html	(revision 2872)
+++ branches/2.0/language/it_IT/help/history.html	(revision 2886)
@@ -39,6 +39,6 @@
 d'osservazione di cui volete verificare l’attività.</li>
 	
-	<li><strong>Filtro per tipo d'elemento</strong> : selezionare il
-tipo d'elemento di cui volete osservare l’attività.</li>
+	<li><strong>Filtro per tipo di elemento</strong> : selezionare il
+tipo di elemento di cui volete osservare l’attività.</li>
 	
 	<li><strong>Utente</strong> : selezionare l'utente di cui
Index: branches/2.0/language/it_IT/help/maintenance.html
===================================================================
--- branches/2.0/language/it_IT/help/maintenance.html	(revision 2872)
+++ branches/2.0/language/it_IT/help/maintenance.html	(revision 2886)
@@ -1,9 +1,9 @@
 <h2>Manutenzione</h2>
 
-<p>Per ottimizzare il tempo di generazione di pagina, Piwigo usa
+<p>Per ottimizzare il tempo di generazione di una pagina, Piwigo usa
 delle informazioni dalla cache. Per esempio, invece di contare il numero
 d'immagini contenute in ogni categoria ad ogni ricarica, queste informazioni
 sono immagazzinate nella base dati. In teoria, questa informazione dovrebbe
-essere sempre corretta, ma a volte si può verificare un errore e l'informazione
+essere sempre corretta, ma a volte si può verificare un errore accadere e l'informazione
 della cache diventa errata. </p>
 
@@ -15,14 +15,14 @@
   <li><strong>Aggiornare le informazioni delle categorie:</strong> Per ogni
 categoria, le informazioni da aggiornare o controllare sono le seguenti:
-elenco delle categorie madri, numero di immagini, data dell'ultima immagine,
-posizione fra delle categorie di stesso livello, posizione tra categorie madri
+elenco delle categorie madri, numero delle immagini, data dell'ultima immagine,
+posizione tra delle categorie di stesso livello, posizione tra categorie madri
 e categorie figlie. Quest'azione controlla anche la coerenza delle immagini
 rappresentative.</li>
 
   <li><strong>Aggiornare le informazioni delle immagini:</strong> Per ogni
-immagine, le informazioni di aggiornare sono: il percorso completo verso
+immagine, le informazioni da aggiornare sono: il percorso completo verso
 il file, il voto medio. <em>Attenzione</em>: da non confondere con i metadati
 sincronizzabili tramite lo schermo <span class="pwgScreen">Amministrazione,
-Categorie, Sincronizzare</span> o sullo schermo <span class="pwgScreen">Modificare
+Categorie, Sincronizare</span> o sullo schermo <span class="pwgScreen">Modificare
 le informazioni dell'immagine</span> (accessibile dalla pagina di visualizzazione
 di un'immagine<span class="pwgScreen">picture.php</span>).</li>
Index: branches/2.0/language/it_IT/help/notification_by_mail.html
===================================================================
--- branches/2.0/language/it_IT/help/notification_by_mail.html	(revision 2872)
+++ branches/2.0/language/it_IT/help/notification_by_mail.html	(revision 2886)
@@ -1,3 +1,3 @@
-<h2>Notifiche par email</h2>
+<h2>Notifiche per email</h2>
 
 <p>Questo schermo consente di configurare e gestire le notifiche via email sulle novità del sito.</p>
Index: branches/2.0/language/it_IT/help/site_manager.html
===================================================================
--- branches/2.0/language/it_IT/help/site_manager.html	(revision 2872)
+++ branches/2.0/language/it_IT/help/site_manager.html	(revision 2886)
@@ -4,5 +4,5 @@
 immagazzinare le immagini della vostra galleria. Ciò può essere utile
 se la vostra galleria è installata su uno spazio limitato e avete
-una grande quantità di immagini da mostrare.</p>
+una grande quantità d'immagini da mostrare.</p>
 
 <ol>
Index: branches/2.0/language/it_IT/help/synchronize.html
===================================================================
--- branches/2.0/language/it_IT/help/synchronize.html	(revision 2872)
+++ branches/2.0/language/it_IT/help/synchronize.html	(revision 2886)
@@ -11,4 +11,4 @@
 
   <li>Il processo di sincronizzazione potrebbe essere più o meno lungo (dipende
-dalla carica di server e della quantità di elementi di gestire). È dunque
-possibile eseguire la sincronizzazione categoria per categoria.</li>
+dalla carica del server e della quantità di elementi da gestire). È dunque
+possibile di eseguire la sincronizzazione categoria per categoria.</li>
Index: branches/2.0/language/it_IT/help/user_list.html
===================================================================
--- branches/2.0/language/it_IT/help/user_list.html	(revision 2872)
+++ branches/2.0/language/it_IT/help/user_list.html	(revision 2886)
@@ -25,8 +25,8 @@
 
 <p>Riguarda l'elenco degli utenti selezionati (default) o degli
-utenti dell'elenco filtrato.</p>
+utenti del elenco filtrato.</p>
 
 <h3>Consigliere</h3>
-<p>Definizione di utente consigliere:</p>
+<p>Definizione del utente consigliere:</p>
 <ul>
   <li>consente l'accesso a tutti gli schermi permessi da questo stato</li>