Index: branches/2.0/plugins/LocalFilesEditor/admin.php
===================================================================
--- branches/2.0/plugins/LocalFilesEditor/admin.php	(revision 2904)
+++ branches/2.0/plugins/LocalFilesEditor/admin.php	(revision 2907)
@@ -94,4 +94,8 @@
 {
   $filename = $_POST['tpl_name'];
+  if (empty($filename))
+  {
+    array_push($page['errors'], l10n('locfiledit_empty_filename'));
+  }
   if (get_extension($filename) != 'tpl')
   {
@@ -101,17 +105,18 @@
   {
     array_push($page['errors'], l10n('locfiledit_filename_error'));
+  }
+  if (is_numeric($_POST['tpl_model']) and $_POST['tpl_model'] != '0')
+  {
+    array_push($page['errors'], l10n('locfiledit_model_error'));
+  }
+  if (file_exists($_POST['tpl_parent'] . '/' . $filename))
+  {
+    array_push($page['errors'], l10n('locfiledit_file_already_exists'));
+  }
+  if (!empty($page['errors']))
+  {
     $newfile_page = true;
   }
-  if (is_numeric($_POST['tpl_model']) and $_POST['tpl_model'] != '0')
-  {
-    array_push($page['errors'], l10n('locfiledit_model_error'));
-    $newfile_page = true;
-  }
-  if (file_exists($_POST['tpl_parent'] . '/' . $filename))
-  {
-    array_push($page['errors'], l10n('locfiledit_file_already_exists'));
-    $newfile_page = true;
-  }
-  if (!$newfile_page)
+  else
   {
     $edited_file = $_POST['tpl_parent'] . '/' . $filename;
Index: branches/2.0/plugins/LocalFilesEditor/language/de_DE/plugin.lang.php
===================================================================
--- branches/2.0/plugins/LocalFilesEditor/language/de_DE/plugin.lang.php	(revision 2904)
+++ branches/2.0/plugins/LocalFilesEditor/language/de_DE/plugin.lang.php	(revision 2907)
@@ -52,4 +52,5 @@
 $lang['locfiledit_file_already_exists'] = 'Datei ist bereits vorhanden.';
 $lang['locfiledit_model_error'] = 'Sie müssen ein Modell wählen.';
+/* TODO */ $lang['locfiledit_empty_filename'] = 'You must fill file name.';
 
 ?>
Index: branches/2.0/plugins/LocalFilesEditor/language/en_UK/plugin.lang.php
===================================================================
--- branches/2.0/plugins/LocalFilesEditor/language/en_UK/plugin.lang.php	(revision 2904)
+++ branches/2.0/plugins/LocalFilesEditor/language/en_UK/plugin.lang.php	(revision 2907)
@@ -52,4 +52,5 @@
 $lang['locfiledit_file_already_exists'] = 'File already exists.';
 $lang['locfiledit_model_error'] = 'You must choose a model.';
+$lang['locfiledit_empty_filename'] = 'You must fill file name.';
 
 ?>
Index: branches/2.0/plugins/LocalFilesEditor/language/es_ES/plugin.lang.php
===================================================================
--- branches/2.0/plugins/LocalFilesEditor/language/es_ES/plugin.lang.php	(revision 2904)
+++ branches/2.0/plugins/LocalFilesEditor/language/es_ES/plugin.lang.php	(revision 2907)
@@ -52,4 +52,5 @@
 $lang['locfiledit_file_already_exists'] = 'El fichero ya existe.';
 $lang['locfiledit_model_error'] = 'Por favor, seleccione un modelo.';
+/* TODO */ $lang['locfiledit_empty_filename'] = 'You must fill file name.';
 
 ?>
Index: branches/2.0/plugins/LocalFilesEditor/language/fr_FR/plugin.lang.php
===================================================================
--- branches/2.0/plugins/LocalFilesEditor/language/fr_FR/plugin.lang.php	(revision 2904)
+++ branches/2.0/plugins/LocalFilesEditor/language/fr_FR/plugin.lang.php	(revision 2907)
@@ -52,4 +52,5 @@
 $lang['locfiledit_file_already_exists'] = 'Le fichier existe déjà.';
 $lang['locfiledit_model_error'] = 'Veuillez sélectionner un modèle.';
+$lang['locfiledit_empty_filename'] = 'Veuillez indiquer un nom de fichier.';
 
 ?>
Index: branches/2.0/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php
===================================================================
--- branches/2.0/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php	(revision 2904)
+++ branches/2.0/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php	(revision 2907)
@@ -52,4 +52,5 @@
 $lang['locfiledit_file_already_exists'] = 'Il file esiste già.';
 $lang['locfiledit_model_error'] = 'Selezionare un modello.';
+/* TODO */ $lang['locfiledit_empty_filename'] = 'You must fill file name.';
 
 ?>
Index: branches/2.0/template/yoga/theme/Sylvia/theme.css
===================================================================
--- branches/2.0/template/yoga/theme/Sylvia/theme.css	(revision 2904)
+++ branches/2.0/template/yoga/theme/Sylvia/theme.css	(revision 2907)
@@ -186,5 +186,5 @@
 	margin:0; 
 }
-#content ul.thumbnailCategories li {
+.content ul.thumbnailCategories li {
 	background:#222 url(images/cat_bottom-right.gif) no-repeat scroll right bottom; 
 	width:49%; 
@@ -197,8 +197,8 @@
 	margin:0; 
 }
-#content .thumbnailCategory div.illustration { 
+.content .thumbnailCategory div.illustration { 
 	background:transparent url(images/cat_top-left.gif) no-repeat scroll left top; 
 	padding: 0 0 0 10px; 
-	margin: 0; 
+	margin: 0 !important; 
 }
 .content .thumbnailCategory div.illustration a { 
@@ -207,11 +207,11 @@
 	padding:20px 0 0 8px; 
 }
-#content .thumbnailCategory div.description { 
+.content .thumbnailCategory div.description { 
 	background:transparent url(images/cat_top-right.gif) no-repeat scroll right top;
 	margin: 0; 
 	padding:15px 10px 3px 0; 
-	overflow: hidden; 
-}
-#content .thumbnailCategory div.description .text { 
+	overflow: hidden !important; 
+}
+.content .thumbnailCategory div.description .text { 
 	display:block; 
 	margin:10px 2px 0 0;
@@ -224,9 +224,8 @@
 	text-align: right; 
 }
-#content.content .thumbnailCategory div.description H3 { 
+.content .thumbnailCategory div.description H3 { 
 	display: block; 
-	margin: 0; 
-}
-#content ul.thumbnailCategories li:hover { 
+}
+.content ul.thumbnailCategories li:hover { 
 	background-color:#111; 
 } 