Index: /branches/2.0/admin/comments.php
===================================================================
--- /branches/2.0/admin/comments.php	(revision 3122)
+++ /branches/2.0/admin/comments.php	(revision 3123)
@@ -140,5 +140,5 @@
       ON i.id = c.image_id
   WHERE validated = \'false\'
-  ORDER BY c.date DESC  
+  ORDER BY c.date DESC
 ;';
 $result = pwg_query($query);
@@ -161,5 +161,5 @@
       'TN_SRC' => $thumb,
       'AUTHOR' => trigger_event('render_comment_author', $row['author']),
-      'DATE' => format_date($row['date'],'mysql_datetime',true),
+      'DATE' => format_date($row['date'], true),
       'CONTENT' => trigger_event('render_comment_content',$row['content'])
       )
Index: /branches/2.0/admin/intro.php
===================================================================
--- /branches/2.0/admin/intro.php	(revision 3122)
+++ /branches/2.0/admin/intro.php	(revision 3123)
@@ -222,5 +222,5 @@
       sprintf(
         l10n('first element added on %s'),
-        format_date($first_date, 'mysql_datetime')
+        format_date($first_date)
         )
       )
Index: /branches/2.0/admin/picture_modify.php
===================================================================
--- /branches/2.0/admin/picture_modify.php	(revision 3122)
+++ /branches/2.0/admin/picture_modify.php	(revision 3123)
@@ -242,6 +242,5 @@
     'FILESIZE' => @$row['filesize'].' KB',
 
-    'REGISTRATION_DATE' =>
-      format_date($row['date_available'], 'mysql_datetime', false),
+    'REGISTRATION_DATE' => format_date($row['date_available']),
 
     'AUTHOR' => isset($_POST['author']) ? $_POST['author'] : @$row['author'],
Index: /branches/2.0/comments.php
===================================================================
--- /branches/2.0/comments.php	(revision 3122)
+++ /branches/2.0/comments.php	(revision 3123)
@@ -365,5 +365,5 @@
         'ALT' => $name,
         'AUTHOR' => trigger_event('render_comment_author', $author),
-        'DATE'=>format_date($comment['date'],'mysql_datetime',true),
+        'DATE'=>format_date($comment['date'], true),
         'CONTENT'=>trigger_event('render_comment_content',$comment['content']),
         );
Index: /branches/2.0/feed.php
===================================================================
--- /branches/2.0/feed.php	(revision 3122)
+++ /branches/2.0/feed.php	(revision 3123)
@@ -123,6 +123,5 @@
   {
     $item = new FeedItem();
-    $item->title = sprintf(l10n('New on %s'),
-        format_date($dbnow, 'mysql_datetime') );
+    $item->title = sprintf(l10n('New on %s'), format_date($dbnow) );
     $item->link = $conf['gallery_url'];
 
Index: /branches/2.0/include/functions.inc.php
===================================================================
--- /branches/2.0/include/functions.inc.php	(revision 3122)
+++ /branches/2.0/include/functions.inc.php	(revision 3123)
@@ -570,10 +570,9 @@
 
 // format_date returns a formatted date for display. The date given in
-// argument can be a unixdate (number of seconds since the 01.01.1970) or an
-// american format (2003-09-15). By option, you can show the time. The
-// output is internationalized.
+// argument must be an american format (2003-09-15). By option, you can show the time.
+// The output is internationalized.
 //
-// format_date( "2003-09-15", 'us', true ) -> "Monday 15 September 2003 21:52"
-function format_date($date, $type = 'us', $show_time = false)
+// format_date( "2003-09-15", true ) -> "Monday 15 September 2003 21:52"
+function format_date($date, $show_time = false)
 {
   global $lang;
Index: /branches/2.0/include/picture_comment.inc.php
===================================================================
--- /branches/2.0/include/picture_comment.inc.php	(revision 3122)
+++ /branches/2.0/include/picture_comment.inc.php	(revision 3123)
@@ -131,5 +131,5 @@
     while ($row = mysql_fetch_array($result))
     {
-      $tpl_comment = 
+      $tpl_comment =
         array(
           'AUTHOR' => trigger_event('render_comment_author',
@@ -138,8 +138,5 @@
             : $row['author']),
 
-          'DATE' => format_date(
-            $row['date'],
-            'mysql_datetime',
-            true),
+          'DATE' => format_date( $row['date'], true),
 
           'CONTENT' => trigger_event('render_comment_content',$row['content']),
Index: /branches/2.0/picture.php
===================================================================
--- /branches/2.0/picture.php	(revision 3122)
+++ /branches/2.0/picture.php	(revision 3123)
@@ -814,5 +814,5 @@
 
 // date of availability
-$val = format_date($picture['current']['date_available'], 'mysql_datetime');
+$val = format_date($picture['current']['date_available']);
 $url = make_index_url(
   array(