Index: branches/2.0/language/hr_HR/help/advanced_feature.html
===================================================================
--- branches/2.0/language/hr_HR/help/advanced_feature.html	(revision 3119)
+++ branches/2.0/language/hr_HR/help/advanced_feature.html	(revision 3130)
@@ -1,15 +1,15 @@
-<h2>Advanced features</h2>
+<h2>Napredne mogućnosti</h2>
 
-<p>List special functionnalties for expert PWG administrator:</p>
+<p>Popis posebnih funkcionalnosti za napredne PWG upravitelje:</p>
 
 <ul>
 
   <li>
-    <strong>Not linked elements:</strong>
-    Display images which are not associated to any virtual category.
+    <strong>Nepovezane stavke:</strong>
+    Prikaz slika koje nisu povezane ni s jednom nestvarnom skupinom.
   </li>
   <li>
-    <strong>Files with same name in more than one physical category:</strong>
-    Display images or any files which are found with the same filename in some categories.
+    <strong>Slike istog naziva u više od jednoj stvarnoj skupini:</strong>
+    Prikaz slika istog naziva koje se nalaze u više skupina.
   </li>
 
Index: branches/2.0/language/hr_HR/help/cat_move.html
===================================================================
--- branches/2.0/language/hr_HR/help/cat_move.html	(revision 3119)
+++ branches/2.0/language/hr_HR/help/cat_move.html	(revision 3130)
@@ -1,14 +1,14 @@
-<h2>Moving virtual categories</h2>
+<h2>Premještanje nestvarnih skupina</h2>
 
-<p>Only virtual categories can have a new parent category.</p>
+<p>Samo nestvarne skupine mogu imati novu nadređenu skupinu.</p>
 
-<h3>Virtual categories to move</h3>
+<h3>Nestvarne skupine za premještaj</h3>
 
-<p>Select any virtual categories you want to move. 
-If the list is empty, that mean you didn't create one.</p>
+<p>Odaberite bilo koje nestvarne skupine koje želite premjestiti. 
+Ako je popis prazan, to znači da niste izradili ni jednu.</p>
 
-<h3>New parent category</h3>
+<h3>Nova nadređena skupina</h3>
 
-<p>Select the new parent (virtual or physical). 
-If you don't, virtual selected categories will be moved to the root.
-You can't move a category to itself or to one of its child.</p>
+<p>Odaberite novu nadređenu skupinu (nestvarnu ili stvarnu). 
+Ukoliko ne odaberete, odabrane nestvarne skupine će se prebaciti u korijensku mapu.
+Ne možete premještati skupinu u  nju samu ili njoj podređenu skupinu.</p>
Index: branches/2.0/language/hr_HR/help/cat_options.html
===================================================================
--- branches/2.0/language/hr_HR/help/cat_options.html	(revision 3119)
+++ branches/2.0/language/hr_HR/help/cat_options.html	(revision 3130)
@@ -1,36 +1,31 @@
-<h2>Category options</h2>
+<h2>Mogućnosti skupine</h2>
 
-<p>This screen lets the administrator manage categories option for many
-categories at once.</p>
+<p>Ovaj prozor omogućava upravniku upravljanje mogućnostima skupina za više njih odjednom.</p>
 
 <dl>
 
-  <dt>Upload</dt>
-  <dd>Make categories uploadable for gallery visitors. Only non virtual and
-  non remote categories are shown.</dd>
+  <dt>Prebačaj</dt>
+  <dd>Postavi skupine otvorene za prebačaj slika posjetiteljima galerije. Prikazane su samo stvarne i mjesne skupine.</dd>
 
-  <dt>Comments</dt>
-  <dd>Authorize users to add comments on selected categories.
-Selects the categories which are commentable. 
-An image is commentable if it belongs to at least one category that is commentable.</dd>
+  <dt>Komentari</dt>
+  <dd>Ovlasti korisnicima za dodavanje komentara u odabranim skupinama.
+Odabire skupine koje su otvorene za komentare. 
+Slika se može komentirati ako pripada najmanje jednoj skupini sa odobrenim komentiranjem.</dd>
 
-  <dt>Lock</dt>
-  <dd>Selected categories will temporary been disabled for maintenance. If
-  you lock a category, all its child categories become locked. If you unlock
-  a category, all its parent categories become unlocked.</dd>
+  <dt>Zaključaj</dt>
+  <dd>Odabrane skupine će privremeno biti nedostupne zbog održavanja. Ako
+  zaključate skupinu, sve njoj podređene skupine se također zaključavaju. Ako otključavate
+  skupinu, sve njoj nadređene skupine se također otključavaju.</dd>
 
-  <dt>Public / private</dt>
-  <dd>Manage authorizations for selected categories. Selected categories are
-  private : you will need to authorize users and/or groups to access to
-  them. If you make a category private, all its child categories becomes
-  private. If you make a category public, all its parent categories becomes
-  public</dd>
+  <dt>Javno / osobno</dt>
+  <dd>Upravljanje ovlastima za odabrane skupine. Ako su odabrane skupine osobne
+   : trebate ovlastiti korisnike i/ili grupe za pristup. Ako postavite skupinu za osobnu, sve njoj nadređene skupine postaju osobne
+ . Ako postavite skupinu kao javnu, sve njene podređene skupine postaju javne.</dd>
 
-  <dt>Representative</dt>
-  <dd>This option can be managed only if you set configuration parameter
-  <code>allow_random_representative</code> (see <span
-  class="filename">include/config_defaults.inc.php</span>) to
-  <em>true</em>. Each category can be randomly represented or singly
-  represented (by a unique picture).</dd>
+  <dt>Prestavnik</dt>
+  <dd>Ovom mogučnošću se može upravljati samo ako je postavljena stavka
+  <code>allow_random_representative</code> (vidi <span
+  class="filename">include/config_defaults.inc.php</span>) na 
+  <em>true</em>. Svaka skupina se može predstaviti slikom slučajnog odabira ili baš određenom slikom.</dd>
 
 </dl>
Index: branches/2.0/language/hr_HR/help/cat_perm.html
===================================================================
--- branches/2.0/language/hr_HR/help/cat_perm.html	(revision 3119)
+++ branches/2.0/language/hr_HR/help/cat_perm.html	(revision 3130)
@@ -1,15 +1,14 @@
-<h2>Manage permissions for a category</h2>
+<h2>Upravljanje dozvolama (ovlastima) za skupinu</h2>
 
-<p>This screen is available only for a private category. Here you can select
-users and groups authorized for this category.</p>
+<p>Ovaj prozor je dostupan samo za osobne skupine. Ovdje možete odabrati korisnike
+i grupe koji imaju dozvolu pristupa.</p>
 
-<h3>Groups</h3>
+<h3>Grupe</h3>
 
-<p>You can deny or grant groups for the current category. By modifying
-groups authorizations, you'll probably modify the list of users granted to
-the category thanks to group belongings.</p>
+<p>Možete dati ili uskratiti dozvole grupama za trenutnu skupinu. Promjenom 
+grupnih ovlasti vjerojatno će te promijeniti popis odobrenih korisnika zahvaljujući grupnoj pripadnosti.</p>
 
-<h3>Users</h3>
+<h3>Korisnici</h3>
 
-<p>You can deny or grant individual users. Users granted thanks to group
-belongings can be denied or granted specifically.</p>
+<p>Možete dati ili uskratiti dozvole pojedinim korisnicima. Korisnici dozvoljeni grupnom pripadnošću mogu biti posebno
+odobreni ili zabranjeni.</p>
Index: branches/2.0/language/hr_HR/help/group_list.html
===================================================================
--- branches/2.0/language/hr_HR/help/group_list.html	(revision 3119)
+++ branches/2.0/language/hr_HR/help/group_list.html	(revision 3130)
@@ -1,22 +1,22 @@
-<h2>Groups list</h2>
+<h2>Popis grupa</h2>
 
-<p>This is the place where you can manage defined groups.</p>
+<p>ovo je mjesto gdje možete upravljati postojećim grupama.</p>
 
-<h3>Add a group</h3>
+<h3>Dodaj grupu</h3>
 
-<p>Administrator can add groups.</p>
+<p>Upravnik može dodavati grupe.</p>
 
-<h3>Groupes list</h3>
+<h3>Popis grupa</h3>
 
-<p>The list allows for each element to:</p>
+<p>Popis dozvoljava za svaku stavku da:</p>
 
 
 <ul>
-  <li>go to members list</li>
-  <li>go to permissions</li>
-  <li>delete the group (require a confirmation checkbox)</li>
-  <li>toggle status "default" (require a confirmation checkbox)</li>
+  <li>idi na popis članova</li>
+  <li>idi na ovlasti</li>
+  <li>izbriši grupu (zahtijeva odabir potvrdne kućice)</li>
+  <li>promijeni "default" tj. pretpostavljeno stanje(zahtijeva odabir potvrdne kućice)</li>
 </ul>
 
-<h3>Default groups</h3>
-<p>Default groups are groups associated automatically to new user.</p>
+<h3>Pretpostavljene grupe</h3>
+<p>Pretpostavljene grupe su grupe koje se same povezuju sa novim korisnikom.</p>
Index: branches/2.0/language/hr_HR/help/notification_by_mail.html
===================================================================
--- branches/2.0/language/hr_HR/help/notification_by_mail.html	(revision 3119)
+++ branches/2.0/language/hr_HR/help/notification_by_mail.html	(revision 3130)
@@ -1,15 +1,15 @@
-<h2>Notification by mail</h2>
+<h2>Obavijesti e-mail porukama</h2>
 
-<p>This screen allows to configure and manage email notifications to users of news on your site.</p>
+<p>Ovaj prozor omogućaa postavu i upravljanje e-mail obavijestima korisnicima o novostima u vašoj galeriji.</p>
 
-<p>This screen is composed of 3 tabs:</p>
+<p>Sastoji se od 3 kartice:</p>
 
-<h3>Parameters</h3>
-<p>Available only for webmasters, this tab sets parameters of the notification by mail.</p>
+<h3>Parametri</h3>
+<p>Dostupno samo webmasterima, ova kartica postavlja parametre e-mail obavješćivanja.</p>
 
-<h3>Subscribe</h3>
-<p>Available only for webmasters, this tab manages subscription/unsubscription of users to email notifications.</p>
+<h3>Pretplata</h3>
+<p>Dostupno samo webmasterima, ova kartica upravlja pretplatom/prekidom pretplate korisnika na e-mail obavijesti.</p>
 
 <h3>Envoi</h3>
-<p>Available only for webmasters and administrators, this tab allows to send mails to notify news.</p>
+<p>Dostupno samo webmasterima i upraviteljima, ova kartica omogućava slanje e-mail poruka za novosti.</p>
 
Index: branches/2.0/language/hr_HR/help/search.html
===================================================================
--- branches/2.0/language/hr_HR/help/search.html	(revision 3119)
+++ branches/2.0/language/hr_HR/help/search.html	(revision 3130)
@@ -1,24 +1,21 @@
-<h2>Search</h2>
+<h2>Pretraživanje</h2>
 
-<p>This page let you search pictures among the whole gallery.</p>
+<p>Ova stranica omogućava pretragu slika u cijeloj galeriji.</p>
 
 <dl>
 
-  <dt>Search for words</dt>
-  <dd>Search for entered words in all the attributes related to the pictures
-  displayed in the gallery. Use * as a wildcard for partial matches.</dd>
+  <dt>Pretraga po riječima</dt>
+  <dd>Pretažuje po upisanim riječima po svim obilježjima povezanim sa slikama prikazanim u galeriji. Koristite * kao zamijenu za djelomična poklapanja.</dd>
 
-  <dt>Search for Author</dt>
-  <dd>Use * as a wildcard for partial matches.</dd>
+  <dt>Pretraga po autoru</dt>
+  <dd>Koristite * kao zamijenu za djelomična poklapanja.</dd>
 
-  <dt>Search by Date</dt>
-  <dd>Select a date and/or an ending date for your query. Leave date empty
-  if you want to make a "before" query. The year must be entered in the last
-  field in the following format : 0000 (i.e. 2004)</dd>
+  <dt>Pretaga po nadnevku</dt>
+  <dd>Odaberite nadnevak i/ili završni nadnevak za vašu pretragu. Ostavite nadnevak prazan 
+  za pretragu "prethodnih" upita. Godina mora biti upisana u zadnje polje u slijedećem obliku : 0000 (i.e. 2009)</dd>
 
-  <dt>Search in Categories</dt>
-  <dd>Select the category or categories you wish to search in. For speed all
-  subcategories can be searched by selecting the parent and setting enable
-  search subcategories below.</dd>
+  <dt>Pretraga u skupinama</dt>
+  <dd>Odaberite skupinu ili skupine koje želite pretražiti. Za bržu pretragu sve podskupine
+  mogu biti pretraživane odabirom nadređene skupine i uključenjem mogućnosti pretrage podskupina ispod.</dd>
 
 </dl>
Index: branches/2.0/language/hr_HR/help/user_list.html
===================================================================
--- branches/2.0/language/hr_HR/help/user_list.html	(revision 3119)
+++ branches/2.0/language/hr_HR/help/user_list.html	(revision 3130)
@@ -1,43 +1,42 @@
-<h2>Users list</h2>
+<h2>Popis korisnika</h2>
 
-<p>This is the place where you can manage registered users. Only permissions
-are managed in different several screens.</p>
+<p>Ovo je mjesto gdje možete upravljati upisanim korisnicima. Jedino se ovlastima
+upravlja u nekim drugim prozorima.</p>
 
-<h3>Add a user</h3>
+<h3>Dodaj korisnika</h3>
 
-<p>Administrator can manually add users.</p>
+<p>Upravnik može ručno dodavati korisnike.</p>
 
-<h3>Users list</h3>
+<h3>Popis korisnika</h3>
 
-<p>The list can be filtered on username (use * as wildcard), group or
-status. The list can be order by registration date or username, in ascending
-or descending order.</p>
+<p>Popis može biti pročišćen na korisničko ime (koristite * kao zamjenu), grupu ili
+stanje. Popis može biti poredan po nadnevku upisa ili korisničkom imenu, uzlaznim
+ili silaznim redoslijedom.</p>
 
-<p>This screen works be managing several users at once on different actions
+<p>Ovaj prozor omogućava upravljenje nekolicinom korisnika odjednom na različitim postupcima
 :</p>
 
 <ul>
 
-  <li>delete users (require a confirmation checkbox)</li>
+  <li>brisanje korisnika (zahtijeva potvrdnu kućicu)</li>
 
-  <li>change status</li>
+  <li>promjena stanja</li>
 
-  <li>associate or dissociate from groups</li>
+  <li>uklučenje ili isključenje u-iz grupa</li>
 
-  <li>modify display properties</li>
+  <li>prilagodba svojstava prikaza</li>
 
-  <li>modify additional properties</li>
+  <li>promjena dodatnih svojstava</li>
 
 </ul>
 
-<p>The target is the set users selected (by default) or all users is
-asked.</p>
-<h3>Adviser</h3>
-<p>Definition of adviser user:</p>
+<p>Svrha je postaviti korisnike kao odabrane (pretpostavljeno) ili se svi korisnici pitaju.</p>
+<h3>Savjetnik</h3>
+<p>Definicija korisničkog savjetnika:</p>
 <ul>
-  <li>allow access of all screens permitted by this status</li>
-  <li>read-only or simulate-only access</li>
+  <li>dozvoljava pristup svim prozorima sukladno ovlastima njegovog stanja</li>
+  <li>samo-čitaj ili samo-probaj pristup</li>
 </ul>
 
-<p>It's possible to assign adviser mode with variable $conf['allow_adviser'].</p>
-<p>If this variable is 'true', it's possible to define user like an adviser</p>
+<p>Moguće je dodijeliti savjetnički način varijablom $conf['allow_adviser'].</p>
+<p>Ako je postavljena na 'true', moguće je odrediti korisnika kao savjetnika</p>