Index: /extras/pLoader/trunk/src/Uploader/GUI/wxApp.pm
===================================================================
--- /extras/pLoader/trunk/src/Uploader/GUI/wxApp.pm	(revision 3177)
+++ /extras/pLoader/trunk/src/Uploader/GUI/wxApp.pm	(revision 3178)
@@ -327,6 +327,4 @@
     };
 
-    $self->_readParams2( 'locale.ini' ) ;
-
     $self->_init_userdir;
 
@@ -398,5 +396,5 @@
     );
     $locale->AddCatalogLookupPathPrefix( '../locale');
-    if(!$locale->AddCatalog( 'pLoader' )){
+    if(!$locale->AddCatalog( 'pLoader.mo' )){
         print "Cannot find translation catalog files. Use default language\n";
     }
@@ -476,4 +474,10 @@
       	blur             => 0.9,
       	quality          => 100,
+      	wx_quality       => 80,
+      	th_quality       => 90,
+        auto_rotate      => 1,
+        interlace        => 'Line',
+        create_resized   => 1,
+        use_exif_preview => 1,
       	prefix           => 'TN',
       	count            => 0,
@@ -722,5 +726,5 @@
             width     => $w,
             height    => $h,
-            title     => "pLoader - Piwigo uploader 2.0.0b - [$url]" ,
+            title     => "pLoader - Piwigo uploader 2.0.0c - [$url]" ,
             pwg       => $self->pwg,
             imagelist => $self->imagelist,
Index: /extras/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm
===================================================================
--- /extras/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm	(revision 3177)
+++ /extras/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm	(revision 3178)
@@ -24,4 +24,5 @@
 use Wx::DND;
 use Wx qw/
+             wxNullBitmap
              wxID_OK
              wxDEFAULT_FRAME_STYLE
@@ -317,9 +318,20 @@
           categories
           imagelist
-          image_prop_general
+          image_preview
+          image_prop_piwigo
           image_prop_exif
           notebook_image_properties
           notebook_global_settings
-          global_settings_panel
+          general_settings_panel
+          resized_settings_panel
+          thumbnail_settings_panel
+          preview_settings_panel
+          piwigo_properties
+          exif_properties
+          general_settings
+          resized_settings
+          thumbnail_settings
+          preview_settings
+
       /;
 __PACKAGE__->mk_accessors( @properties );
@@ -343,7 +355,5 @@
 use Wx::AUI;
 use Storable;
-use Uploader::GUI::wxPhotoPropertiesPanel;
-use Uploader::GUI::wxPhotoExifPanel;
-use Uploader::GUI::wxGlobalSettingsPanel;
+use Uploader::GUI::wxPropertyGridPanel;
 use Encode qw/encode decode is_utf8/;
 
@@ -416,5 +426,5 @@
     $self->manager( Wx::AuiManager->new );
     $self->manager->SetManagedWindow( $self );
-
+    $self->_set_setting_properties;
     $self->_initFrame;
     $self->_InitEventHandlers;
@@ -441,15 +451,224 @@
 }
 
+sub _refreshFrame__ {
+    my ( $self ) = @_;
+    
+    $self->_destroy_settings_panels;
+    $self->manager->Update;
+    
+    $self->_init_settings_panels;
+    $self->_init_aui_settings_panels;
+
+    $self->manager->Update;
+}
+
+sub _set_setting_properties {
+    my ( $self ) = @_;
+
+    $self->piwigo_properties(
+        [
+            {
+                label => "Photo name :",
+                value => sub { $self->imagelist->current_image->site_name(@_) },
+            },
+            {
+                label => "Comment :",
+                value => sub { $self->imagelist->current_image->site_comment(@_) },
+                type  => "LongText",
+            },
+            {
+                label => "Author :",
+                value => sub { $self->imagelist->current_image->site_author(@_) },
+            },
+            {
+                label    => "Create date :",
+                value    => sub { $self->imagelist->current_image->create_date(@_) },
+                readonly => 1,
+            },
+        ]    
+    );
+
+    $self->exif_properties(
+        [
+            {
+                label    => gettext("Create date :"),
+                value    => sub { $self->imagelist->current_image->create_date }, 
+                readonly => 1,
+            },	
+            {
+                label    => gettext("Model :"),
+                value    => sub { $self->imagelist->current_image->exif_tag('Model') }, 
+                readonly => 1,
+            },	
+            {
+                label    => gettext("Width :"),
+                value    => sub { $self->imagelist->current_image->exif_tag('ImageWidth') }, 
+                readonly => 1,
+            },	
+            {
+                label    => gettext("Height :"),
+                value    => sub { $self->imagelist->current_image->exif_tag('ImageHeight') }, 
+                readonly => 1,
+            },	
+            {
+                label    => gettext("Orientation :"),
+                value    => sub { $self->imagelist->current_image->exif_tag('Orientation') }, 
+                readonly => 1,
+            },	
+            {
+                label    => "ISO :",
+                value    => sub { $self->imagelist->current_image->exif_tag('ISO') }, 
+                readonly => 1,
+            },	
+            {
+                label    => gettext("Shutter speed :"),
+                value    => sub { $self->imagelist->current_image->exif_tag('ExposureTime') }, 
+                readonly => 1,
+            },	
+            {
+                label    => gettext("Aperture :"),
+                value    => sub { $self->imagelist->current_image->exif_tag('ApertureValue') }, 
+                readonly => 1,
+            },	
+            {
+                label    => gettext("Focal length :"),
+                value    => sub { $self->imagelist->current_image->exif_tag('FocalLength') }, 
+                readonly => 1,
+            },	
+            {
+                label    => gettext("Lens :"),
+                value    => sub { $self->imagelist->current_image->exif_tag('Lens') }, 
+                readonly => 1,
+            },	
+        ]
+    );   
+
+    $self->general_settings(
+        [
+            {
+                label     => gettext("Default author :"),
+                value	=> sub { $self->imagelist->author(@_) },
+            },
+            {
+                label     => gettext("Photo name  prefix :"),
+                value	=> sub { $self->imagelist->default_name_prefix(@_) },
+            },
+            {
+                label     => gettext("Resize site image :"),
+                type      => 'Bool',
+                value	=> sub { $self->imagelist->create_resized(@_) },
+            },
+            {
+                label     => gettext("Auto rotate image :"),
+                type      => 'Bool',
+                value	=> sub { $self->imagelist->auto_rotate(@_) },
+            },
+            {
+                label     => gettext("Upload high (original size) :"),
+                type      => 'Bool',
+                value	=> sub { $self->imagelist->upload_high(@_) },
+            },
+        ]    
+    );
+    
+    $self->resized_settings(
+        [
+            {
+                label     => gettext("Site image width :"),
+                type      => 'Number',
+                value	=> sub { $self->imagelist->resize_w(@_) },
+            },
+            {
+                label     => gettext("Site image height :"),
+                type      => 'Number',
+                value	=> sub { $self->imagelist->resize_h(@_) },
+            },
+            {
+                label     => gettext("Site image jpeg quality :"),
+                type      => 'Number',
+                value	=> sub { $self->imagelist->quality(@_) },
+            },
+            {
+                label     => gettext("Site image filter :"),
+                type      => 'Choice',
+                value	=> sub { $self->imagelist->filter(@_) },
+                choice    => [ qw/Point Box Triangle Hermite Hanning Hamming Blackman Gaussian Quadratic Cubic Catrom Mitchell Lanczos Bessel Sinc/ ],
+            },
+            {
+                label     => gettext("Site image blur :"),
+                type      => 'Number',
+                value	=> sub { $self->imagelist->blur(@_) },
+            },
+            {
+                label     => gettext("Site image interlace :"),
+                type      => 'Choice',
+                value	=> sub { $self->imagelist->interlace(@_) },
+                choice    => [ qw/None Line Plane Partition JPEG GIF PNG/ ],
+            },
+        ]    
+    );
+
+    $self->thumbnail_settings(
+        [
+            {
+                label     => gettext("Site thumbnail size :"),
+                type      => 'Number',
+                value	=> sub { $self->imagelist->thumb_size(@_) },
+            },
+            {
+                label     => gettext("Site thumbnail jpeg quality :"),
+                type      => 'Number',
+                value	=> sub { $self->imagelist->th_quality(@_) },
+            },
+            {
+                label     => gettext("Photo selection thumbnail size :"),
+                type      => 'Number',
+                value	=> sub { $self->imagelist->wx_thumb_size(@_) },
+            },
+            {
+                label     => gettext("Photo selection thumbnail jpeg quality :"),
+                type      => 'Number',
+                value	=> sub { $self->imagelist->wx_quality(@_) },
+            },
+        ]    
+    );
+    
+    $self->preview_settings(
+        [
+            {
+                label     => gettext("Use exif preview when available :"),
+                type      => 'Bool',
+                value	=> sub { $self->imagelist->use_exif_preview(@_) },
+            },
+            {
+                label     => gettext("Custom preview ratio :"),
+                type      => 'Number',
+                value	=> sub { $self->imagelist->preview_ratio(@_) },
+            },
+        ]    
+    );
+	
+}
+
 sub _refreshFrame {
     my ( $self ) = @_;
     
-    $self->_destroy_settings_panels;
+    $self->_set_setting_properties;
+    $self->_refresh_settings_panels_properties;
+    map {
+        $_->Refresh;	
+    }
+    (
+        $self->image_prop_piwigo,
+        $self->image_prop_exif,
+        $self->general_settings_panel,
+        $self->resized_settings_panel,
+        $self->thumbnail_settings_panel,
+        $self->preview_settings_panel,
+    );
+    
     $self->manager->Update;
-    
-    $self->_init_settings_panels;
-    $self->_init_aui_settings_panels;
-
-    $self->manager->Update;
-}
+}
+
 
 sub _destroy_settings_panels {
@@ -492,82 +711,120 @@
 }
 
+sub _refresh_settings_panels_properties {
+    my ( $self ) = @_;	
+
+    $self->image_prop_piwigo->properties(
+        $self->piwigo_properties
+    );
+    
+    $self->image_prop_exif->properties(
+        $self->exif_properties
+    );
+
+
+    $self->general_settings_panel->properties(
+        $self->general_settings
+    );    
+
+    $self->resized_settings_panel->properties(
+        $self->resized_settings
+    );    
+
+    $self->thumbnail_settings_panel->properties(
+        $self->thumbnail_settings,
+    );    
+
+    $self->preview_settings_panel->properties(
+        $self->preview_settings,
+    );    
+	
+}
+
 sub _init_settings_panels {
     my ( $self ) = @_;	
 
-    $self->global_settings_panel(
-        $self->create_global_settings_panel()
-    );    
-    
-    $self->global_settings_panel->Show(0);
-
-    $self->image_prop_general(
-        Uploader::GUI::wxPhotoPropertiesPanel->new( 
+    $self->image_prop_piwigo(
+        Uploader::GUI::wxPropertyGridPanel->new( 
             { 
-                parentwnd => $self,
-                accessors => {
-                	          $main::ID_PHOTO =>
-                	              sub {
-                                            Wx::Bitmap->new( 
-                                                $self->imagelist->current_image->wx_thumb_file, 
-                                                $self->GetWxBitmapType($self->imagelist->type), 
-                                            );
-                	              }, 
-                	          $main::ID_PHOTO_NAME =>
-                	              sub { $self->imagelist->current_image->site_name(@_) }, 
-
-                	          $main::ID_PHOTO_CREATE_DATE =>
-                	              sub { $self->imagelist->current_image->create_date(@_) }, 
-                                  
-                                  $main::ID_PHOTO_COMMENT =>
-                	              sub { $self->imagelist->current_image->site_comment(@_) }, 
-                                  
-                                  $main::ID_PHOTO_AUTHOR =>
-                	              sub { $self->imagelist->current_image->site_author(@_) }, 
-                             },
-                frame_callbacks => { 
-                  	              $main::ID_PHOTO_NAME =>
+                parentwnd       => $self,
+                properties      => $self->piwigo_properties,
+                frame_callbacks => [ 
                                           sub {
                                               $self->imageviewer->Refresh();
                                           },
-                	           },
+                	           ],
             }
         )
     );
 
-    $self->image_prop_general->Show(0);
-
-        
     $self->image_prop_exif(
-        Uploader::GUI::wxPhotoExifPanel->new( 
+        Uploader::GUI::wxPropertyGridPanel->new( 
             { 
-                parentwnd => $self,
-                frame_callback => sub { 
-                                      $self->imageviewer->Refresh();
-                	          },
-                accessors => {
-                	          $main::ID_EXIF_CREATE_DATE =>
-                	              sub { $self->imagelist->current_image->create_date }, 
-                	          $main::ID_EXIF_MODEL =>
-                	              sub { $self->imagelist->current_image->exif_tag('Model') }, 
-                	          $main::ID_EXIF_WIDTH =>
-                	              sub { $self->imagelist->current_image->exif_tag('ImageWidth') }, 
-                	          $main::ID_EXIF_HEIGHT =>
-                	              sub { $self->imagelist->current_image->exif_tag('ImageHeight') }, 
-                	          $main::ID_EXIF_ORIENTATION =>
-                	              sub { $self->imagelist->current_image->exif_tag('Orientation') }, 
-                	          $main::ID_EXIF_ISO =>
-                	              sub { $self->imagelist->current_image->exif_tag('ISO') }, 
-                	          $main::ID_EXIF_SHUTTER_SPEED =>
-                	              sub { $self->imagelist->current_image->exif_tag('ExposureTime') }, 
-                	          $main::ID_EXIF_APERTURE =>
-                	              sub { $self->imagelist->current_image->exif_tag('ApertureValue') }, 
-                	          $main::ID_EXIF_FOCAL_LENGTH =>
-                	              sub { $self->imagelist->current_image->exif_tag('FocalLength') }, 
-                	          $main::ID_EXIF_LENS =>
-                	              sub { $self->imagelist->current_image->exif_tag('Lens') }, 
-                             },
+                parentwnd       => $self,
+                frame_callbacks => [],
+                properties      => $self->exif_properties,
             }
         )
     );
+
+
+    $self->general_settings_panel(
+        Uploader::GUI::wxPropertyGridPanel->new( 
+            { 
+                parentwnd       => $self,
+                properties      => $self->general_settings,
+                frame_callbacks => [], 
+            }
+        )
+    );    
+
+    $self->resized_settings_panel(
+        Uploader::GUI::wxPropertyGridPanel->new( 
+            { 
+                parentwnd       => $self,
+                properties      => $self->resized_settings,
+                frame_callbacks => [],
+
+            }
+        )    
+    );    
+
+    $self->thumbnail_settings_panel(
+        Uploader::GUI::wxPropertyGridPanel->new( 
+            { 
+                parentwnd       => $self,
+                properties      => $self->thumbnail_settings,
+                frame_callbacks => [],
+
+            }
+        )    
+    );    
+    $self->preview_settings_panel(
+        Uploader::GUI::wxPropertyGridPanel->new( 
+            { 
+                parentwnd       => $self,
+                properties      => $self->preview_settings,
+                frame_callbacks => [],
+
+            }
+        )    
+    );    
+
+    
+    $self->general_settings_panel->Show(0);
+
+    $self->image_preview(
+        Wx::StaticBitmap->new(
+            $self,
+            -1,
+            wxNullBitmap
+        )
+    );
+
+
+
+    $self->image_prop_piwigo->Show(0);
+
+        
     
     $self->image_prop_exif->Show(0);
@@ -632,4 +889,9 @@
         ->Right->Position( 0 )->Resizable->CloseButton(0) );
 
+    $self->manager->AddPane
+      ( $self->image_preview, Wx::AuiPaneInfo->new->Name( "preview" )->Caption(gettext("Photo preview"))
+        ->Right->Position( 1 )->Resizable->CloseButton(0)->Floatable(0) );
+
+
     $self->_init_aui_settings_panels;
 
@@ -652,5 +914,5 @@
 
     $self->manager->AddPane
-      ( $self->create_notebook_global_settings, Wx::AuiPaneInfo->new->Name( "global_settings" )
+      ( $self->create_notebook_global_settings, Wx::AuiPaneInfo->new->Name( "global_settings" )->Caption(gettext("Global settings"))
         ->Right->Position( 2 )->Resizable->CloseButton(1) );
 	
@@ -729,5 +991,5 @@
     my $pages = [    
         [
-            $self->image_prop_general, 
+            $self->image_prop_piwigo, 
             "Piwigo",
         ],
@@ -751,6 +1013,18 @@
     my $pages = [    
         [
-            $self->global_settings_panel, 
-            gettext("Global settings"),
+            $self->general_settings_panel, 
+            gettext("General"),
+        ],
+        [
+            $self->resized_settings_panel, 
+            gettext("Resized"),
+        ],
+        [
+            $self->thumbnail_settings_panel, 
+            gettext("Thumbnail"),
+        ],
+        [
+            $self->preview_settings_panel, 
+            gettext("Preview"),
         ],
     ];
@@ -763,29 +1037,6 @@
 }
 
-sub create_global_settings_panel {
-    my ( $self ) = @_;
-
-    Uploader::GUI::wxGlobalSettingsPanel->new( 
-            { 
-                parentwnd => $self,
-                accessors => {
-                	          $main::ID_GLOBAL_NAME_PREFIX =>
-                	              sub { $self->imagelist->default_name_prefix(@_) }, 
-                	          $main::ID_GLOBAL_AUTHOR =>
-                	              sub { $self->imagelist->author(@_) }, 
-                	          $main::ID_GLOBAL_THUMB_SIZE => 
-                	              sub { $self->imagelist->thumb_size(@_) }, 
-                	          $main::ID_GLOBAL_RESIZED_W =>
-                	              sub { $self->imagelist->resize_w(@_) }, 
-                	          $main::ID_GLOBAL_RESIZED_H =>
-                	              sub { $self->imagelist->resize_h(@_) },
-                	          $main::ID_GLOBAL_HIGH =>
-                	              sub { $self->imagelist->upload_high(@_)}, 
-                             },
-                frame_callbacks => { 
-                	           },
-            }
-        );
-}
+
+
 
 sub create_tree {
@@ -1090,5 +1341,5 @@
     );
     	
-    $self->image_prop_general->SetControlValues();
+    $self->image_prop_piwigo->Refresh;
 }
 
@@ -1106,6 +1357,24 @@
     );
 
-    $self->image_prop_general->SetControlValues();
-    $self->image_prop_exif->SetControlValues();
+    $self->image_preview->SetBitmap(
+        wxNullBitmap
+    );
+    $self->image_preview->Refresh;
+
+    
+    $self->image_preview->SetBitmap(
+        Wx::Bitmap->new( 
+            $self->imagelist->current_image->preview_file, 
+            $self->GetWxBitmapType($self->imagelist->type), 
+        )
+    );
+    
+    $self->image_preview->Refresh;
+    
+    $self->manager->Update;
+    
+    $self->image_prop_piwigo->Refresh;
+    $self->image_prop_exif->Refresh;
+
 }
 
Index: tras/pLoader/trunk/src/Uploader/GUI/wxGlobalSettingsPanel.pm
===================================================================
--- /extras/pLoader/trunk/src/Uploader/GUI/wxGlobalSettingsPanel.pm	(revision 3177)
+++ 	(revision )
@@ -1,131 +1,0 @@
-# +-----------------------------------------------------------------------+
-# | pLoader - a Perl photo uploader for Piwigo                            |
-# +-----------------------------------------------------------------------+
-# | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
-# +-----------------------------------------------------------------------+
-# | This program is free software; you can redistribute it and/or modify  |
-# | it under the terms of the GNU General Public License as published by  |
-# | the Free Software Foundation                                          |
-# |                                                                       |
-# | This program is distributed in the hope that it will be useful, but   |
-# | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-# | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-# | General Public License for more details.                              |
-# |                                                                       |
-# | You should have received a copy of the GNU General Public License     |
-# | along with this program; if not, write to the Free Software           |
-# | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-# | USA.                                                                  |
-# +-----------------------------------------------------------------------+
-package Uploader::GUI::wxGlobalSettingsPanel;
-use strict;
-use Wx qw/
-             wxDefaultSize
-             wxDefaultPosition
-             wxID_CANCEL
-             wxID_OK
-             wxGREEN
-         /;
-
-use base qw/Wx::Panel Uploader::Object2/;
-use Wx::Perl::TextValidator;
-
-use Wx::Event qw/
-                    EVT_TEXT
-                    EVT_RADIOBOX
-                /;
-
-
-__PACKAGE__->mk_accessors(     
-    qw/
-        accessors
-        frame_callback
-      /
-);
-
-
-
-sub new {
-    my ($this, $params) = @_;
-    #on recupere le nom de la classe en fonction du type d'appel de la méthode.
-    my $class = ref($this) || $this;
-
-
-    my $self = $class->SUPER::new( $params->{parentwnd}, -1, wxDefaultPosition, wxDefaultSize );
-
-
-    
-    $self->accessors( $params->{accessors} );
-    $self->frame_callbacks(
-        $params->{frame_callbacks}
-    );
-    
-    $self->Initialize;
-      
-    $self;    
-}
-
-sub Initialize {
-    my ( $self ) = @_;	
-
-    # load controls
-    &main::GlobalSettings($self, 1);
-
-    $self->_set_validators;    
-    $self->SetControlValues;
-    $self->_initEventHandlers();
-}
-
-sub _set_validators {
-    my ( $self ) = @_;	
-
-    map {
-        my $numval = Wx::Perl::TextValidator->new( '\d' );
-        $self->FindWindow($_)->SetValidator(
-            $numval
-        );    	
-    }
-    (
-        $main::ID_GLOBAL_THUMB_SIZE,
-        $main::ID_GLOBAL_RESIZED_W,
-        $main::ID_GLOBAL_RESIZED_H,
-    );
-}
-
-sub _initEventHandlers {
-    my ( $self ) = @_;
-    
-   
-    map {
-        my $ctrl = $self->FindWindow($_);
-        if('Wx::TextCtrl' eq ref $ctrl){
-            EVT_TEXT($self, $ctrl, sub { OnControlChanged(@_) });
-        }
-        elsif('Wx::RadioBox' eq ref $ctrl){
-            EVT_RADIOBOX($self, $ctrl, sub { OnControlChanged(@_) });
-        }
-    }
-    keys %{$self->accessors};	
-
-}
-
-sub OnControlChanged {
-    my ( $self, $event ) = @_;
-    
-    my $control_id = $event->GetId ;
-
-    $self->GetControlValue(
-        $control_id
-    );
-    
-    
-    my $frame_callback = $self->frame_callbacks->{$control_id};
-
-    eval{
-        $frame_callback->() if defined $frame_callback;
-    };
-}
-
-
-
-1;
Index: tras/pLoader/trunk/src/Uploader/GUI/wxImageGrid.pm
===================================================================
--- /extras/pLoader/trunk/src/Uploader/GUI/wxImageGrid.pm	(revision 3177)
+++ 	(revision )
@@ -1,85 +1,0 @@
-# +-----------------------------------------------------------------------+
-# | pLoader - a Perl photo uploader for Piwigo                            |
-# +-----------------------------------------------------------------------+
-# | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
-# +-----------------------------------------------------------------------+
-# | This program is free software; you can redistribute it and/or modify  |
-# | it under the terms of the GNU General Public License as published by  |
-# | the Free Software Foundation                                          |
-# |                                                                       |
-# | This program is distributed in the hope that it will be useful, but   |
-# | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-# | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-# | General Public License for more details.                              |
-# |                                                                       |
-# | You should have received a copy of the GNU General Public License     |
-# | along with this program; if not, write to the Free Software           |
-# | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-# | USA.                                                                  |
-# +-----------------------------------------------------------------------+
-package Uploader::GUI::wxImageGrid;
-
-use strict;
-use base qw(Wx::Grid);
-
-sub new {
-  my $class = shift;
-  my $this = $class->SUPER::new( $_[0], -1 );
-
-  $this->CreateGrid( 3, 7 );
-  # set every cell read-only
-  for my $x ( 1 .. 7 ) {
-    for my $y ( 1 .. 3 ) {
-      $this->SetReadOnly( $y, $x, 1 ); # rows, cols
-    }
-  }
-$this->SetDefaultColSize(120);
-$this->SetDefaultRowSize(120);
-
-
-  $this->SetCellValue( 1, 5, "SoMe TeXt!" );
-  $this->SetCellRenderer( 1, 5, Wx::DemoModules::wxGridCER::CustomRenderer->new );
-  $this->SetReadOnly( 1, 5, 0 );
-
-  return $this;
-}
-
-sub add_to_tags { 'controls/grid' }
-sub title { 'Custom editors and renderers' }
-
-package Wx::DemoModules::wxGridCER::CustomRenderer;
-
-use strict;
-use base 'Wx::PlGridCellRenderer';
-use Wx qw/
-             wxBITMAP_TYPE_JPEG
-             wxBITMAP_TYPE_GIF
-             wxBITMAP_TYPE_PNG
-             wxBLACK_PEN 
-             wxWHITE_BRUSH 
-             wxSYS_DEFAULT_GUI_FONT
-         /;
-sub Draw {
-  my( $self, $grid, $attr, $dc, $rect, $row, $col, $sel ) = ( shift, @_ );
-
-  $self->SUPER::Draw( @_ );
-
-  $dc->SetPen( wxBLACK_PEN );
-  $dc->SetBrush( wxWHITE_BRUSH );
-  $dc->SetFont(Wx::SystemSettings::GetFont(wxSYS_DEFAULT_GUI_FONT ));
-#  $dc->DrawEllipse( $rect->x, $rect->y, $rect->width, $rect->height );
-#  $dc->DrawText( $grid->GetCellValue( $row, $col ), $rect->x, $rect->y );
-    my $img = Wx::Bitmap->new( "J:/uploader/test10066.jpg", wxBITMAP_TYPE_JPEG );
-  $dc->DrawBitmap( $img, 10+$rect->x, 10+$rect->y, 0 );
-
-
-}
-
-sub Clone {
-  my $self = shift;
-
-  return $self->new;
-}
-
-
-1;
Index: tras/pLoader/trunk/src/Uploader/GUI/wxPhotoExifPanel.pm
===================================================================
--- /extras/pLoader/trunk/src/Uploader/GUI/wxPhotoExifPanel.pm	(revision 3177)
+++ 	(revision )
@@ -1,72 +1,0 @@
-# +-----------------------------------------------------------------------+
-# | pLoader - a Perl photo uploader for Piwigo                            |
-# +-----------------------------------------------------------------------+
-# | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
-# +-----------------------------------------------------------------------+
-# | This program is free software; you can redistribute it and/or modify  |
-# | it under the terms of the GNU General Public License as published by  |
-# | the Free Software Foundation                                          |
-# |                                                                       |
-# | This program is distributed in the hope that it will be useful, but   |
-# | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-# | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-# | General Public License for more details.                              |
-# |                                                                       |
-# | You should have received a copy of the GNU General Public License     |
-# | along with this program; if not, write to the Free Software           |
-# | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-# | USA.                                                                  |
-# +-----------------------------------------------------------------------+
-package Uploader::GUI::wxPhotoExifPanel;
-use strict;
-use Wx qw/
-             wxDefaultSize
-             wxDefaultPosition
-             wxID_CANCEL
-             wxID_OK
-             wxGREEN
-         /;
-#use base qw/Wx::Panel Class::Accessor::Fast/;
-
-use base qw/Wx::Panel Uploader::Object2/;
-
-use Wx::Event qw/
-                    EVT_BUTTON
-                /;
-
-
-    __PACKAGE__->mk_accessors(     
-        qw/accessors/
-    );
-
-
-
-sub new {
-    my ($this, $params) = @_;
-    #on recupere le nom de la classe en fonction du type d'appel de la méthode.
-    my $class = ref($this) || $this;
-
-
-    my $self = $class->SUPER::new( $params->{parentwnd}, -1, wxDefaultPosition, wxDefaultSize );
-
-
-    
-    $self->accessors( $params->{accessors} );
-    
-    # load controls
-    &main::PhotoExif($self, 1);
-    
-
-    
-      
-    $self;    
-}
-
-
-
-
-
-
-
-
-1;