Index: /branches/2.0/admin/include/functions.php
===================================================================
--- /branches/2.0/admin/include/functions.php	(revision 3195)
+++ /branches/2.0/admin/include/functions.php	(revision 3196)
@@ -1742,19 +1742,12 @@
 function pwg_URL()
 {
-  global $lang_info;
   $urls = array(
-    'WIKI'       => 'http://'.PHPWG_DOMAIN.'/doc/',
-    'HOME'       => 'http://'.PHPWG_DOMAIN.'/',
-    'DEMO'       => 'http://demo.'.PHPWG_DOMAIN.'/',
-    'FORUM'      => 'http://forum.'.PHPWG_DOMAIN.'/',
-    'BUGS'       => 'http://bugs.'.PHPWG_DOMAIN.'/',
+    'HOME'       => 'http://'.PHPWG_DOMAIN,
+    'WIKI'       => 'http://'.PHPWG_DOMAIN.'/doc',
+    'DEMO'       => 'http://'.PHPWG_DOMAIN.'/demo',
+    'FORUM'      => 'http://'.PHPWG_DOMAIN.'/forum',
+    'BUGS'       => 'http://'.PHPWG_DOMAIN.'/bugs',
     'EXTENSIONS' => 'http://'.PHPWG_DOMAIN.'/ext',
     );
-  if ( isset($lang_info['code']) and
-       in_array($lang_info['code'], array('fr','en')) )
-  { /* current wiki languages are French or English */
-    $urls['WIKI'] .= 'doku.php?id='.$lang_info['code'].':'.$lang_info['code'];
-    $urls['HOME'] .= '?lang='.$lang_info['code'];
-  }
   return $urls;
 }
Index: /branches/2.0/admin/intro.php
===================================================================
--- /branches/2.0/admin/intro.php	(revision 3195)
+++ /branches/2.0/admin/intro.php	(revision 3196)
@@ -183,4 +183,5 @@
 $template->assign(
   array(
+    'PHPWG_URL' => PHPWG_URL,
     'PWG_VERSION' => PHPWG_VERSION,
     'OS' => PHP_OS,
Index: /branches/2.0/admin/template/goto/footer.tpl
===================================================================
--- /branches/2.0/admin/template/goto/footer.tpl	(revision 3195)
+++ /branches/2.0/admin/template/goto/footer.tpl	(revision 3196)
@@ -16,5 +16,5 @@
 
   {'powered_by'|@translate}
-  <a href="http://piwigo.org" class="Piwigo">
+  <a href="{$PHPWG_URL}" class="Piwigo">
   <span class="Piwigo">Piwigo</span></a>
   {$VERSION}
Index: /branches/2.0/admin/template/goto/intro.tpl
===================================================================
--- /branches/2.0/admin/template/goto/intro.tpl	(revision 3195)
+++ /branches/2.0/admin/template/goto/intro.tpl	(revision 3196)
@@ -5,5 +5,5 @@
   <dd>
     <ul>
-      <li><a href="http://piwigo.org"  onclick="window.open(this.href, ''); 
+      <li><a href="{$PHPWG_URL}"  onclick="window.open(this.href, ''); 
           return false;">Piwigo</a> {$PWG_VERSION}</li>
       <li><a href="{$U_CHECK_UPGRADE}">{'Check for upgrade'|@translate}</a></li>
Index: /branches/2.0/include/common.inc.php
===================================================================
--- /branches/2.0/include/common.inc.php	(revision 3195)
+++ /branches/2.0/include/common.inc.php	(revision 3196)
@@ -126,4 +126,13 @@
 include(PHPWG_ROOT_PATH.'include/user.inc.php');
 
+if ('fr_FR' == $user['language']) {
+  define('PHPWG_DOMAIN', 'fr.piwigo.org');
+}
+else {
+  define('PHPWG_DOMAIN', 'piwigo.org');
+}
+define('PHPWG_URL', 'http://'.PHPWG_DOMAIN);
+define('PEM_URL', 'http://'.PHPWG_DOMAIN.'/ext');
+
 
 // language files
Index: /branches/2.0/include/constants.php
===================================================================
--- /branches/2.0/include/constants.php	(revision 3195)
+++ /branches/2.0/include/constants.php	(revision 3196)
@@ -24,7 +24,4 @@
 // Default settings
 define('PHPWG_VERSION', '2.0');
-define('PHPWG_DOMAIN', 'piwigo.org');
-define('PHPWG_URL', 'http://'.PHPWG_DOMAIN);
-define('PEM_URL', 'http://'.PHPWG_DOMAIN.'/ext');
 define('PHPWG_DEFAULT_LANGUAGE', 'en_UK');
 define('PHPWG_DEFAULT_TEMPLATE', 'yoga/Sylvia');
Index: /branches/2.0/install.php
===================================================================
--- /branches/2.0/install.php	(revision 3195)
+++ /branches/2.0/install.php	(revision 3196)
@@ -212,4 +212,12 @@
 }
 
+if ('fr_FR' == $language) {
+  define('PHPWG_DOMAIN', 'fr.piwigo.org');
+}
+else {
+  define('PHPWG_DOMAIN', 'piwigo.org');
+}
+define('PHPWG_URL', 'http://'.PHPWG_DOMAIN);
+
 load_language( 'common.lang', '', array('language'=>$language, 'target_charset'=>'utf-8') );
 load_language( 'admin.lang', '', array('language'=>$language, 'target_charset'=>'utf-8') );
@@ -394,5 +402,5 @@
     'F_ADMIN'=>$admin_name,
     'F_ADMIN_EMAIL'=>$admin_mail,
-    'L_INSTALL_HELP'=>sprintf(l10n('install_help'), 'http://forum.'.PHPWG_DOMAIN.'/'),
+    'L_INSTALL_HELP'=>sprintf(l10n('install_help'), PHPWG_URL.'/forum'),
     ));
 
Index: /branches/2.0/language/fr_FR/about.html
===================================================================
--- /branches/2.0/language/fr_FR/about.html	(revision 3195)
+++ /branches/2.0/language/fr_FR/about.html	(revision 3196)
@@ -6,3 +6,3 @@
 
   <li>Si vous avez des suggestions ou des commentaires, visitez le <a
-  href="http://piwigo.org">site officiel</a>.</li>
+  href="http://fr.piwigo.org">site officiel</a> et <a href="http://fr.piwigo.org/forum">son forum</a>.</li>
Index: /branches/2.0/language/fr_FR/help.html
===================================================================
--- /branches/2.0/language/fr_FR/help.html	(revision 3195)
+++ /branches/2.0/language/fr_FR/help.html	(revision 3196)
@@ -321,5 +321,5 @@
 utilisateur héritera de ces propriétés d'affichage.</li>
 
-  <li>Pour tout question, la communauté Piwigo est à l'écoute sur le <a href="http://piwigo.org/forum">forum</a>.</li>
+  <li>Pour tout question, la communauté francophone Piwigo est à l'écoute sur le <a href="http://fr.piwigo.org/forum">forum</a>.</li>
 
 </ul>
Index: /branches/2.0/language/hr_HR/about.html
===================================================================
--- /branches/2.0/language/hr_HR/about.html	(revision 3195)
+++ /branches/2.0/language/hr_HR/about.html	(revision 3196)
@@ -3,4 +3,4 @@
   <li>Tehnički, Piwigo je potpuno razvijen korištenjem PHP (the elePHPant) te MySQL baze podataka (the SQuirreL).</li>
 
-  <li>Ako imate prijedloga i komentara, molimo posjetite <a   href="http://piwigo.org">Piwigo</a> službenu stranicu, te njoj posvećen <a href="http://forum.Piwigo.net">forum</a>.</li>
+  <li>Ako imate prijedloga i komentara, molimo posjetite <a href="http://piwigo.org">Piwigo</a> službenu stranicu, te njoj posvećen <a href="http://piwigo.org/forum">forum</a>.</li>
 
Index: /branches/2.0/language/pl_PL/help.html
===================================================================
--- /branches/2.0/language/pl_PL/help.html	(revision 3195)
+++ /branches/2.0/language/pl_PL/help.html	(revision 3196)
@@ -287,6 +287,5 @@
   Domyślne</span>. Jeżeli tak zrobisz każdy nowy użytkownik będzie miał taki sam domyślny wygląd stron galerii.</li>
 
-  <li>Jeżeli masz pytania, społeczność Piwigo zaprasza Cię na forum <a
-  href="http://piwigo.org/forum"></a>.</li>
+  <li>Jeżeli masz pytania, społeczność Piwigo zaprasza Cię na <a href="http://piwigo.org/forum">forum</a>.</li>
 
 </ul>
Index: /branches/2.0/language/ru_RU/about.html
===================================================================
--- /branches/2.0/language/ru_RU/about.html	(revision 3195)
+++ /branches/2.0/language/ru_RU/about.html	(revision 3196)
@@ -4,4 +4,4 @@
 
   <li>Если у Вас есть какие-либо пожелания или комментарии по скрипту, оставьте их на официальном сайте <a
-  href="http://piwigo.org">Piwigo</a>, и его <a href="http://Piwigo.net/forum">форуме</a>.</li>
+  href="http://piwigo.org">Piwigo</a>, и его <a href="http://piwigo.org/forum">форуме</a>.</li>
 
Index: /branches/2.0/template/yoga/footer.tpl
===================================================================
--- /branches/2.0/template/yoga/footer.tpl	(revision 3195)
+++ /branches/2.0/template/yoga/footer.tpl	(revision 3196)
@@ -12,5 +12,5 @@
 
   {'powered_by'|@translate}
-  <a href="http://piwigo.org" class="Piwigo">
+  <a href="{$PHPWG_URL}" class="Piwigo">
   <span class="Piwigo">Piwigo</span></a>
   {$VERSION}
Index: /branches/2.0/tools/create_listing_file.php
===================================================================
--- /branches/2.0/tools/create_listing_file.php	(revision 3195)
+++ /branches/2.0/tools/create_listing_file.php	(revision 3196)
@@ -32,5 +32,5 @@
 // URL of main gallery
 // Example : http://www.my.domain/my/directory
-$conf['gallery'] = 'http://demo.piwigo.net/';
+$conf['gallery'] = 'http://piwigo.org/demo';
 
 // prefix for thumbnails in "thumbnail" sub directories
@@ -1689,5 +1689,5 @@
       <fieldset class="footer">
         <div class="pwg_block">
-          Powered by <a href="http://piwigo.org" class="pwg"><span class="p">Pi</span><span class="w">wi</span><span class="g">go</span></a>
+          Powered by <a href="http://piwigo.org" class="pwg">Piwigo</a>
         </div>
         <?php echo $g_footer; ?>